Mailinglist Archive: opensuse-factory (520 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170503 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170503

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
MozillaThunderbird (45.8.0 -> 52.1.0)
NetworkManager
SuSEfirewall2 (3.6.346 -> 3.6.357)
appstream-glib (0.6.11 -> 0.6.12)
attica-qt5 (5.32.0 -> 5.33.0)
baloo5 (5.32.0 -> 5.33.0)
bluedevil5 (5.9.4 -> 5.9.5)
bluez-qt (5.32.0 -> 5.33.0)
breeze (5.9.4 -> 5.9.5)
breeze-gtk (5.9.4 -> 5.9.5)
breeze4-style (5.9.4 -> 5.9.5)
breeze5-icons (5.32.0 -> 5.33.0)
clutter-gst (3.0.22 -> 3.0.24)
cups
curl (7.53.1 -> 7.54.0)
dconf
dpdk (16.11.1_k4.10.12_1 -> 16.11.1_k4.10.13_1)
drbd (9.0.7rc1+git.093821cd -> 9.0.7rc2+git.0677d8b1)
drbd-utils
eog (3.24.0 -> 3.24.1)
eog-plugins (3.16.5 -> 3.16.6)
epiphany (3.24.0 -> 3.24.1)
evolution (3.24.0 -> 3.24.1)
evolution-data-server (3.24.0 -> 3.24.1)
evolution-ews (3.24.0 -> 3.24.1)
extra-cmake-modules (5.32.0 -> 5.33.0)
fcitx
ffmpeg (3.2.4 -> 3.3)
file-roller (3.24.0 -> 3.24.1)
frameworkintegration (5.32.0 -> 5.33.0)
gdm (3.24.0 -> 3.24.1)
gegl-unstable
ghostscript (9.20 -> 9.21)
gjs (1.48.0 -> 1.48.1)
glib2 (2.52.0 -> 2.52.1)
gnome-chess (3.24.0 -> 3.24.1)
gnome-control-center (3.24.0 -> 3.24.1)
gnome-desktop (3.24.0 -> 3.24.1)
gnome-documents (3.24.0 -> 3.24.1)
gnome-logs (3.24.0 -> 3.24.1)
gnome-maps (3.24.0 -> 3.24.1)
gnome-music (3.24.0 -> 3.24.1.1)
gnome-photos (3.24.0 -> 3.24.1)
gnome-session (3.24.0 -> 3.24.1)
gnome-settings-daemon (3.24.0 -> 3.24.1)
gnome-shell (3.24.0 -> 3.24.1)
gnome-software (3.24.0 -> 3.24.1)
gnome-terminal (3.24.0 -> 3.24.1)
gnome-user-docs (3.22.0 -> 3.24.0)
gobject-introspection (1.52.0 -> 1.52.1)
graphite2
gtk4 (3.89.5 -> 3.90.0)
gtksourceview (3.24.0 -> 3.24.1)
gzip
hddtemp
html2text
hxtools (20170114 -> 20170430)
kactivities-stats (5.32.0 -> 5.33.0)
kactivities5 (5.32.0 -> 5.33.0)
kactivitymanagerd (5.9.4 -> 5.9.5)
karchive (5.32.0 -> 5.33.0)
kauth (5.32.0 -> 5.33.0)
kbookmarks (5.32.0 -> 5.33.0)
kcm_sddm (5.9.4 -> 5.9.5)
kcmutils (5.32.0 -> 5.33.0)
kcodecs (5.32.0 -> 5.33.0)
kcompletion (5.32.0 -> 5.33.0)
kconfig (5.32.0 -> 5.33.0)
kconfigwidgets (5.32.0 -> 5.33.0)
kcoreaddons (5.32.0 -> 5.33.0)
kcrash (5.32.0 -> 5.33.0)
kdbusaddons (5.32.0 -> 5.33.0)
kde-cli-tools5 (5.9.4 -> 5.9.5)
kde-gtk-config5 (5.9.4 -> 5.9.5)
kde-user-manager (5.9.4 -> 5.9.5)
kdeclarative (5.32.0 -> 5.33.0)
kded (5.32.0 -> 5.33.0)
kdelibs4support (5.32.0 -> 5.33.0)
kdesignerplugin (5.32.0 -> 5.33.0)
kdesu (5.32.0 -> 5.33.0)
kdewebkit (5.32.0 -> 5.33.0)
kdnssd-framework (5.32.0 -> 5.33.0)
kdoctools (5.32.0 -> 5.33.0)
kemoticons (5.32.0 -> 5.33.0)
kernel-firmware (20170404 -> 20170422)
kernel-source (4.10.12 -> 4.10.13)
kfilemetadata5 (5.32.0 -> 5.33.0)
kgamma5 (5.9.4 -> 5.9.5)
kglobalaccel (5.32.0 -> 5.33.0)
kguiaddons (5.32.0 -> 5.33.0)
khotkeys5 (5.9.4 -> 5.9.5)
khtml (5.32.0 -> 5.33.0)
ki18n (5.32.0 -> 5.33.0)
kiconthemes (5.32.0 -> 5.33.0)
kidletime (5.32.0 -> 5.33.0)
kimageformats (5.32.0 -> 5.33.0)
kinfocenter5 (5.9.4 -> 5.9.5)
kinit (5.32.0 -> 5.33.0)
kio (5.32.0 -> 5.33.0)
kitemmodels (5.32.0 -> 5.33.0)
kitemviews (5.32.0 -> 5.33.0)
kjobwidgets (5.32.0 -> 5.33.0)
kjs (5.32.0 -> 5.33.0)
kjsembed (5.32.0 -> 5.33.0)
kmediaplayer (5.32.0 -> 5.33.0)
kmenuedit5 (5.9.4 -> 5.9.5)
knewstuff (5.32.0 -> 5.33.0)
knotifications (5.32.0 -> 5.33.0)
knotifyconfig (5.32.0 -> 5.33.0)
kpackage (5.32.0 -> 5.33.0)
kparts (5.32.0 -> 5.33.0)
kpeople5 (5.32.0 -> 5.33.0)
kplotting (5.32.0 -> 5.33.0)
kpty (5.32.0 -> 5.33.0)
krb5
krita (3.1.2.1 -> 3.1.3)
kross (5.32.0 -> 5.33.0)
krunner (5.32.0 -> 5.33.0)
kscreen5 (5.9.4 -> 5.9.5)
kscreenlocker (5.9.4 -> 5.9.5)
kservice (5.32.0 -> 5.33.0)
ksshaskpass5 (5.9.4 -> 5.9.5)
ksysguard5 (5.9.4 -> 5.9.5)
ktexteditor (5.32.0 -> 5.33.0)
ktextwidgets (5.32.0 -> 5.33.0)
kunitconversion (5.32.0 -> 5.33.0)
kwallet (5.32.0 -> 5.33.0)
kwayland (5.32.0 -> 5.33.0)
kwidgetsaddons (5.32.0 -> 5.33.0)
kwin5 (5.9.4 -> 5.9.5)
kwindowsystem (5.32.0 -> 5.33.0)
kxmlgui (5.32.0 -> 5.33.0)
kxmlrpcclient5 (5.32.0 -> 5.33.0)
libKF5ModemManagerQt (5.32.0 -> 5.33.0)
libKF5NetworkManagerQt (5.32.0 -> 5.33.0)
libappindicator (12.10.1+bzr20141110 -> 12.10.1+bzr20170215)
libcroco (0.6.11 -> 0.6.12)
libkdecoration2 (5.9.4 -> 5.9.5)
libkscreen2 (5.9.4 -> 5.9.5)
libksysguard5 (5.9.4 -> 5.9.5)
libosip2 (4.1.0 -> 5.0.0)
libpqxx (4.0.1 -> 5.0.1)
libreoffice (5.3.2.1 -> 5.3.2.2)
libreoffice-share-linker
libva (1.8.0 -> 1.8.1)
libva-gl (1.8.0 -> 1.8.1)
milou5 (5.9.4 -> 5.9.5)
mutter (3.24.0 -> 3.24.1)
nghttp2 (1.20.0 -> 1.21.1)
oxygen5 (5.9.4 -> 5.9.5)
oxygen5-icon-theme (5.32.0 -> 5.33.0)
pango (1.40.4 -> 1.40.5)
perl-Bootloader (0.917 -> 0.918)
perl-Config-Crontab (1.44 -> 1.45)
perl-ExtUtils-PkgConfig (1.150000 -> 1.160000)
perl-Params-Validate (1.26 -> 1.27)
plasma-framework (5.32.0 -> 5.33.0)
plasma-nm5 (5.9.4 -> 5.9.5)
plasma5-addons (5.9.4 -> 5.9.5)
plasma5-desktop (5.9.4 -> 5.9.5)
plasma5-integration (5.9.4 -> 5.9.5)
plasma5-pa (5.9.4 -> 5.9.5)
plasma5-session (5.9.4 -> 5.9.5)
plasma5-workspace (5.9.4 -> 5.9.5)
polari (3.24.0 -> 3.24.1)
polkit-default-privs
polkit-kde-agent-5 (5.9.4 -> 5.9.5)
postfix
powerdevil5 (5.9.4 -> 5.9.5)
prison-qt5 (5.32.0 -> 5.33.0)
python-Cycler
python-cairocffi (0.7.2 -> 0.8.0)
python-chardet
python-pycurl
python-python-dateutil
python-qt5 (5.8 -> 5.8.2)
python-urllib3 (1.19.1 -> 1.20)
quilt
rubygem-cfa (0.6.0 -> 0.6.1)
sddm
shim-leap
simple-scan (3.22.0.1 -> 3.24.0)
solid (5.32.0 -> 5.33.0)
sonnet (5.32.0 -> 5.33.0)
splix
sunpinyin
syntax-highlighting (5.32.0 -> 5.33.0)
systemsettings5 (5.9.4 -> 5.9.5)
threadweaver (5.32.0 -> 5.33.0)
tv-fonts
update-desktop-files
upower
vaapi-intel-driver (1.8.0 -> 1.8.1)
virt-manager
vm-install (0.8.63 -> 0.8.65)
vte (0.48.1 -> 0.48.2)
webkit2gtk3 (2.16.0 -> 2.16.1)
wxWidgets-3_0
xf86-video-nouveau (1.0.14 -> 1.0.15)
xfce4-notifyd (0.2.4 -> 0.3.6)
xfce4-panel-plugin-diskperf (2.5.5 -> 2.6.1)
xinetd (2.3.15 -> 2.3.15.1+git20170421.98c06ca)

=== Details ===

==== MozillaThunderbird ====
Version update (45.8.0 -> 52.1.0)
Subpackages: MozillaThunderbird-translations-common

- update to Thunderbird 52.1.0
* Background images not working and other issues related to
embedded images when composing email have been fixed
* Google Oauth setup can sometimes not progress to the next step
* requires NSS >= 3.28.4
- security fixes (boo#1035082), MFSA 2017-13
* CVE-2017-5443 (bmo#1342661)
Out-of-bounds write during BinHex decoding
* CVE-2017-5429 (bmo#1341096, bmo#1342823, bmo#1343261, bmo#1348894,
bmo#1348941, bmo#1349340, bmo#1350844, bmo#1352926, bmo#1353088)
Memory safety bugs fixed in Firefox 53, Firefox ESR 45.9, and
Firefox ESR 52.1
* CVE-2017-5464 (bmo#1347075)
Memory corruption with accessibility and DOM manipulation
* CVE-2017-5465 (bmo#1347617)
Out-of-bounds read in ConvolvePixel
* CVE-2017-5466 (bmo#1353975)
Origin confusion when reloading isolated data:text/html URL
* CVE-2017-5467 (bmo#1347262)
Memory corruption when drawing Skia content
* CVE-2017-5460 (bmo#1343642)
Use-after-free in frame selection
* CVE-2017-5461 (bmo#1344380)
Out-of-bounds write in Base64 encoding in NSS
* CVE-2017-5449 (bmo#1340127)
Crash during bidirectional unicode manipulation with animation
* CVE-2017-5446 (bmo#1343505)
Out-of-bounds read when HTTP/2 DATA frames are sent with incorrect data
* CVE-2017-5447 (bmo#1343552)
Out-of-bounds read during glyph processing
* CVE-2017-5444 (bmo#1344461)
Buffer overflow while parsing application/http-index-format content
* CVE-2017-5445 (bmo#1344467)
Uninitialized values used while parsing application/http-index-format
content
* CVE-2017-5442 (bmo#1347979)
Use-after-free during style changes
* CVE-2017-5469 (bmo#1292534)
Potential Buffer overflow in flex-generated code
* CVE-2017-5440 (bmo#1336832)
Use-after-free in txExecutionState destructor during XSLT processing
* CVE-2017-5441 (bmo#1343795)
Use-after-free with selection during scroll events
* CVE-2017-5439 (bmo#1336830)
Use-after-free in nsTArray Length() during XSLT processing
* CVE-2017-5438 (bmo#1336828)
Use-after-free in nsAutoPtr during XSLT processing
* CVE-2017-5437 (bmo#1343453)
Vulnerabilities in Libevent library
* CVE-2017-5436 (bmo#1345461)
Out-of-bounds write with malicious font in Graphite 2
* CVE-2017-5435 (bmo#1350683)
Use-after-free during transaction processing in the editor
* CVE-2017-5434 (bmo#1349946)
Use-after-free during focus handling
* CVE-2017-5433 (bmo#1347168)
Use-after-free in SMIL animation functions
* CVE-2017-5432 (bmo#1346654)
Use-after-free in text input selection
* CVE-2017-5430 (bmo#1329796, bmo#1337418, bmo#1339722, bmo#1340482,
bmo#1342101, bmo#1344081, bmo#1344305, bmo#1344686, bmo#1346140,
bmo#1346419, bmo#1348143, bmo#1349621, bmo#1349719, bmo#1353476)
Memory safety bugs fixed in Firefox 53 and Firefox ESR 52.1
* CVE-2017-5459 (bmo#1333858)
Buffer overflow in WebGL
* CVE-2017-5462 (bmo#1345089)
DRBG flaw in NSS
* CVE-2017-5454 (bmo#1349276)
Sandbox escape allowing file system read access through file
picker
* CVE-2017-5451 (bmo#1273537)
Addressbar spoofing with onblur event
- update to Thunderbird 52.0.1
* Clicking on a link in an email may not open this link in the
external browser
* addon blocklist updates
- enable ALSA for systems w/o PA
- require libffi explicitely to fix PPC64LE build where a system
library is required
- update to Thunderbird 52.0
* Optionally remove corresponding data files when removing an account
* Possibility to copy message filter
* Calendar: Event can now be created and edited in a tab
* Calendar: Processing of received invitation counter proposals
* Chat: Support Twitter Direct Messages
* Chat: Liking and favoriting in Twitter
* Chat: Removed Yahoo! Messenger support
* serveral bugfixes
- security fixes (bsc#1028391, MFSA 2017-09):
In general, these flaws cannot be exploited through email because
scripting is disabled when reading mail, but are potentially
risks in browser or browser-like contexts.
* CVE-2017-5400: asm.js JIT-spray bypass of ASLR and DEP (bmo#1334933)
* CVE-2017-5401: Memory Corruption when handling ErrorResult (bmo#1328861)
* CVE-2017-5402: Use-after-free working with events in FontFace objects
(bmo#1334876)
* CVE-2017-5403: Use-after-free using addRange to add range to an incorrect
root object (bmo#1340186)
* CVE-2017-5404: Use-after-free working with ranges in selections
(bmo#1340138)
* CVE-2017-5406: Segmentation fault in Skia with canvas operations
(bmo#1306890)
* CVE-2017-5407: Pixel and history stealing via floating-point timing side
channel with SVG filters (bmo#1336622)
* CVE-2017-5410: Memory corruption during JavaScript garbage collection
incremental sweeping (bmo#1330687)
* CVE-2017-5408: Cross-origin reading of video captions in violation of CORS
(bmo#1313711)
* CVE-2017-5412: Buffer overflow read in SVG filters (bmo#1328323)
* CVE-2017-5413: Segmentation fault during bidirectional operations
(bmo#1337504)
* CVE-2017-5414: File picker can choose incorrect default directory
(bmo#1319370)
* CVE-2017-5416: Null dereference crash in HttpChannel (bmo#1328121)
* CVE-2017-5426: Gecko Media Plugin sandbox is not started if seccomp-bpf
filter is running (bmo#1257361)
* CVE-2017-5418: Out of bounds read when parsing HTTP digest authorization
responses (bmo#1338876)
* CVE-2017-5419: Repeated authentication prompts lead to DOS attack
(bmo#1312243)
* CVE-2017-5405: FTP response codes can cause use of uninitialized values for
ports (bmo#1336699)
* CVE-2017-5421: Print preview spoofing (bmo#1301876)
* CVE-2017-5422: DOS attack by using view-source: protocol repeatedly in one
hyperlink (bmo#1295002)
* CVE-2017-5399: Memory safety bugs fixed in Thunderbird 52
* CVE-2017-5398: Memory safety bugs fixed in Thunderbird 52 and Thunderbird
45.8
- removed obsolete patches
* mozilla-aarch64-48bit-va.patch
* mozilla-binutils-visibility.patch
* mozilla-flex_buffer_overrun.patch
* mozilla-gcc6.patch
- added generic mozilla patches
* mozilla-aarch64-startup-crash.patch
- require newer versions of NSPR and NSS
- use Gtk3 for Tumbleweed

==== NetworkManager ====
Subpackages: NetworkManager-devel libnm-glib-vpn1 libnm-glib4 libnm-util2
libnm0 typelib-1_0-NM-1_0 typelib-1_0-NMClient-1_0
typelib-1_0-NetworkManager-1_0

- Replace nfs NetworkManager dispatcher script. Issues of the old
nfs dispatcher script, fixed by this commit:
+ It only mounts NFS shares with auto-mount. In SUSE's default
configuration, those are tried to be mounted at boot.
Unfortunately, this would not work, when NetworkManager
handles the connection later. The boot process stops at this
point.
+ It unmounts everything on each "down" for any network
interface, even if the NFS share is still connected to the
computer via another network interface.

==== SuSEfirewall2 ====
Version update (3.6.346 -> 3.6.357)

- implementation of feature FATE#316295: allow incremental update of rpc
rules:
By calling "/usr/sbin/SuSEfirewall2 update-rpc [-s service]" you can now
cause SuSEfirewall to update its rpc related firewall rules to reflect the
current portmapper state in the system, without affecting the rest of the
firewall rule set.
This can for example be put in systemd unit files as ExecStartPost
directives, to always keep port mapping rules up to date, for certain rpc
services. Note that you still need to configure the rpc rules in
/etc/sysconfig/SuSEfirewall2 to make this work. See configuration variables:
FW_SERVICES_DROP_{EXT,INT,DMZ}
FW_SERVICES_ACCEPT_{EXT,INT,DMZ}
FW_SERVICES_{EXT,INT,DMZ}_RPC
- conntrack helpers: explicitly load kernel module to make sure conntrack
helper rules can be applied and to avoid errors messages if kernel module is
not loaded
Update to new git release 3.6.351:
- ship ftp-client service file for allowing active ftp client connections
easily. Also fix use of connection tracker helper on kernel >= 4.7 for ftp.
(boo#1034341)

==== appstream-glib ====
Version update (0.6.11 -> 0.6.12)
Subpackages: libappstream-builder8 libappstream-glib8

- Update to version 0.6.12:
+ Copy hash table keys from AsApp to avoid them being used after
they've been freed.
+ Validate kudos in AppData and AppStream files.
+ Fix the predicate comparison when using globs in metainfo
files.

==== attica-qt5 ====
Version update (5.32.0 -> 5.33.0)
Subpackages: attica-qt5-devel libKF5Attica5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== baloo5 ====
Version update (5.32.0 -> 5.33.0)
Subpackages: baloo5-devel baloo5-file baloo5-imports baloo5-kioslaves
baloo5-tools libKF5Baloo5 libKF5BalooEngine5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Change some types and exclude filters
* Added description for commands (balooctl)
* Search also in symlinked directories
* Fixed normalization/toLower order
* Upgrade KF5 version to 5.33.0.

==== bluedevil5 ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== bluez-qt ====
Version update (5.32.0 -> 5.33.0)
Subpackages: bluez-qt-devel bluez-qt-imports bluez-qt-udev libKF5BluezQt6

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Provide device type for Low Energy devices
* Upgrade KF5 version to 5.33.0.

==== breeze ====
Version update (5.9.4 -> 5.9.5)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style breeze5-wallpapers

- BuildRequire plasma5-workspace instead of plasma-framework, that
one is actually needed to fix the appdata file generation
(kde#367923)
- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* bump version for 5.9.5
- Add BuildRequires: plasma-framework to allow appdata file to be built
- Add appdata file to %files

==== breeze-gtk ====
Version update (5.9.4 -> 5.9.5)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== breeze4-style ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* bump version for 5.9.5

==== breeze5-icons ====
Version update (5.32.0 -> 5.33.0)

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Added MIME-type icon for Dockerfile as text-dockerfile
* Upgrade KF5 version to 5.33.0.

==== clutter-gst ====
Version update (3.0.22 -> 3.0.24)
Subpackages: gstreamer-plugin-gstclutter-3_0 libclutter-gst-3_0-0
typelib-1_0-ClutterGst-3_0

- Update to version 3.0.24:
+ Enable inspection of gstreamer plugin without connecting to
display servers.
+ Fix issue with RGBx/BGRx formats not showing.
+ Fix memory leaks.
- Drop clutter-gst-mem-leak-fixes.patch: Fixed upstream.

==== cups ====
Subpackages: cups-client cups-devel cups-libs cups-libs-32bit

- Drop cups-1.7.5-cupsEnumDests-react-to-all-for-now.diff and add
0001-Update-cupsEnumDests-implementation-to-return-early-if-all.patch,
0002-Save-work-on-Avahi-code.patch and
0003-Avahi-fixes-for-cupsEnumDests.patch which is what upstream
finally commited to cups 2.2 sources in response to
https://github.com/apple/cups/pull/4989 in order to fix cupsEnumDests
to react to the ALL_FOR_NOW avahi event (and also include a similar
fix for the dnssd case). Related to bsc#955432.
- Add cups-2.1.3-cupsEnumDests-react-to-all-for-now.diff .
Avahi sends an ALL_FOR_NOW event when it finishes sending
its cache contents. This patch makes cupsEnumDests finish
when the signal is received so it doesn't block the caller
doing nothing until the timeout finishes (related to bsc#955432,
submitted upstream at https://github.com/apple/cups/pull/4989)

==== curl ====
Version update (7.53.1 -> 7.54.0)
Subpackages: libcurl-devel libcurl4

- Update to 7.54.0
Changes:
* Add CURL_SSLVERSION_MAX_* constants to CURLOPT_SSLVERSION
* Add --max-tls
* Add CURLOPT_SUPPRESS_CONNECT_HEADERS
* Add --suppress-connect-headers
Bugfixes:
* CVE-2017-7468: switch off SSL session id when client cert is used
* bsc#1033413
* tests: use consistent environment variables for setting charset
* proxy: fixed a memory leak on OOM
* ftp: removed an erroneous free in an OOM path
* ftp: fixed a NULL pointer dereference on OOM
* gopher: fixed detection of an error condition from Curl_urldecode
* url: fix unix-socket support for proxy-disabled builds
* fix potential use of uninitialized variables
* ares: return error at once if timed out before name resolve starts
* URL: return error on malformed URLs with junk after port number
* http2: Fix assertion error on redirect with CL=0
* --insecure: clarify that this option is for server connections
* authneg: clear auth.multi flag at http_done
* curl_easy_reset: Also reset the authentication state
* proxy: skip SSL initialization for closed connections
* http_proxy: ignore TE and CL in CONNECT 2xx responses
* multi: fix streamclose() crash in debug mode
* openssl: fall back on SSL_ERROR_* string when no error detail
* asiohiper: make sure socket is open in event_cb
* curl: check for end of input in writeout backslash handling
* openssl: exclude DSA code when OPENSSL_NO_DSA is defined
* http: Fix proxy connection reuse with basic-auth
* pause: handle mixed types of data when paused
* http: do not treat FTPS over CONNECT as HTTPS
* conncache: make hashkey avoid malloc
* multi: fix queueing of pending easy handles
* low_speed_limit: improved function for longer time periods
* nss: load CA certificates even with --insecure
* Curl_expire_latest: ignore already expired timers
* http2: fix handle leak in error path
* openssl: make SSL_ERROR_to_str more future-proof
* openssl: fix thread-safety bugs in error-handling
* openssl: don't try to print nonexistant peer private keys

==== dconf ====
Subpackages: gsettings-backend-dconf libdconf1

- Update 0001-gvdb-Restore-permissions-on-changed-files.patch:
'dconf update' should set permissions to 0644 on restored missing
db files, despite of the umask setting (bsc#1025721, bsc#971074,
bgo#758066).

==== dpdk ====
Version update (16.11.1_k4.10.12_1 -> 16.11.1_k4.10.13_1)

- sync mailbox definitions with Linux PF driver(bsc#1035993)
[+0004-net-thunderx-sync-mailbox-definitions-with-Linux-PF-.patch]

==== drbd ====
Version update (9.0.7rc1+git.093821cd -> 9.0.7rc2+git.0677d8b1)
Subpackages: drbd-kmp-default

- Update to 9.0.7
Using 9.0.7rc2 for upgrading from rc1...
- bsc#1028124, fix kernel compat
- Fix a potenial split brain
- Change the drbd-utils requirement to 8.9.11

==== drbd-utils ====

- bsc#1032074, fix Inconsistent metadata after upgrade
- Add Pass-md_index-information-to-detect_md.patch
* will be merged into upstream in v8.9.12

==== eog ====
Version update (3.24.0 -> 3.24.1)

- Update to version 3.24.1:
+ bgo#780675: gcc pragma build failure.
+ Updated translations.

==== eog-plugins ====
Version update (3.16.5 -> 3.16.6)
Subpackages: eog-plugins-lang

- Update to version 3.16.6:
+ Updated translations.

==== epiphany ====
Version update (3.24.0 -> 3.24.1)
Subpackages: epiphany-lang gnome-shell-search-provider-epiphany

- Update to version 3.24.1:
+ Fix issues with add bookmark popover (bgo#780443, bgo#780851).
+ Fix issues with bookmark importing (bgo#780564).
+ Use native file choosers for Flatpak compatibility
(bgo#780468).
+ Updated translations.

==== evolution ====
Version update (3.24.0 -> 3.24.1)
Subpackages: evolution-plugin-bogofilter evolution-plugin-pst-import
evolution-plugin-spamassassin

- Update to version 3.24.1:
+ Fix few issues reported by Coverity scan.
+ [EUndoRedoManager] Move two selection related functions to
e-editor-dom-functions.h.
+ Fix drag and drop in composer.
+ Remove code that is not needed with WebKit2 anymore.
+ Undo and redo buttons not active if switching from headers to
editor.
+ Fix the replace dialog functionality.
+ Be more verbose about some of the history events.
+ Allow the attachments and inline images to be dragged to the
editor.
+ Remove some of the WK2 FIXMEs.
+ Undoing the HISTORY_IMAGE event won't remove the image.
+ No initial paragraph presented if composing a new message.
+ Possible deadlock in the replace dialog.
+ Can't change the font color on caret in WebKitGTK+ 2.16.
+ [Mail] Cached remote content not always found in cache.
+ Use the right format string for WebPage's id.
+ Don't hardcode base64 image data in tests.
+ Last BR in inserted content is left marked.
+ Remove duplicate function for determining the citation level.
+ Minor code style fixes.
+ Warning could be printed if debug enabled for undo&redo.
+ Fix a compiler warning (maybe-uninitialized).
+ Bugs fixed: bgo#780045, bgo#779907, bgo#780085, bgo#780080,
bgo#726533, bgo#780275, bgo#780988.
+ Updated translations.

==== evolution-data-server ====
Version update (3.24.0 -> 3.24.1)
Subpackages: libcamel-1_2-60 libebackend-1_2-10 libebook-1_2-19
libebook-contacts-1_2-2 libecal-1_2-19 libedata-book-1_2-25 libedata-cal-1_2-28
libedataserver-1_2-22 libedataserverui-1_2-1

- Update to version 3.24.1:
+ Revert "Disable support for all POP3 extensions by default".
+ Fix maybe-used-uninitialized compiler warning from
camel-pop3-folder.c.
+ Fix few Coverity scan issues.
+ Bugs fixed: bgo#780617, bgo#777161.
+ Updated translations.

==== evolution-ews ====
Version update (3.24.0 -> 3.24.1)
Subpackages: evolution-ews-lang

- Update to version 3.24.1:
+ Sources always enabled, even when their part is disabled.
+ Use correct respond method in
e_cal_backend_ews_remove_object().
+ Bugs fixed: bgo#779804, bgo#780391.
+ Updated translations.

==== extra-cmake-modules ====
Version update (5.32.0 -> 5.33.0)
Subpackages: extra-cmake-modules-doc

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* KDE compiler settings: treat Clang and AppleClang equally
* Improve error messages
* Specify qml-root-path as the share directory in the prefix
* default for ECM_ADDITIONAL_FIND_ROOT_PATH
* Fix ecm_generate_pkgconfig_file compatibility with new cmake
* Upgrade ECM version to 5.33.0.
* Only register APPLE_* options if(APPLE)
- Add upstream patches to fix Python binding generation:
* 0001-FindPyModGen-Also-search-for-an-unversioned-clang.patch
* 0002-Import-Find-Clang-LLVM-from-KDevelop-for-Python-bind.patch

==== fcitx ====
Subpackages: fcitx-branding-openSUSE fcitx-gtk2 fcitx-gtk3 fcitx-pinyin
fcitx-qt4 fcitx-table fcitx-table-cn-wubi fcitx-table-cn-wubi-pinyin
libfcitx-4_2_9

- Clean up .spec file:
* Remove KDE4 parts (install custom systray icon)
* Remove checks for obsolete distro versions

==== ffmpeg ====
Version update (3.2.4 -> 3.3)
Subpackages: libavcodec57 libavformat57 libavutil55 libswresample2 libswscale4

- Enable ac3 per request from idonmez
- Update to new upstream release 3.3
* EBU R128 implementation now within ffmpeg, not relying on
external library anymore
* New video filters "premultiply", "readeia608", "threshold",
"midequalizer"
* Support for spherical videos
* New decoders: 16.8 and 24.0 floating point PCM, XPM
* New demuxers: MIDI Sample Dump Standard, Sample Dump eXchange demuxer
* MJPEG encoding uses Optimal Huffman tables now
* Native Opus encoder
* Support .mov with multiple sample description tables
* Removed the legacy X11 screen grabber, use XCB instead
* Removed asyncts filter (use af_aresample instead)
* resolved CVE-2016-10190 [boo#1022920],
CVE-2016-10191 [boo#1022921], CVE-2016-10192 [boo#1022922],
CVE-2017-7859 [boo#1034183], CVE-2017-7862 [boo#1034181],
CVE-2017-7863 [boo#1034179], CVE-2017-7865 [boo#1034177],
CVE-2017-7866 [boo#1034176]
- Enable mp3 decoding

==== file-roller ====
Version update (3.24.0 -> 3.24.1)

- Update to version 3.24.1:
+ Cannot browse archive, extract or open files when running on
Wayland (bgo#772850).
+ Updated translations.

==== frameworkintegration ====
Version update (5.32.0 -> 5.33.0)
Subpackages: frameworkintegration-devel frameworkintegration-plugin libKF5Style5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== gdm ====
Version update (3.24.0 -> 3.24.1)
Subpackages: gdmflexiserver libgdm1 typelib-1_0-Gdm-1_0

- Update to version 3.24.1:
+ Don't set DCONF_PROFILE for gnome-initial-setup.
+ Remove deprecated a11y keys.
+ Autologin fixes.
+ Xdmcp fixes.
+ User switching fixes.
+ Updated translations.

==== gegl-unstable ====
Subpackages: gegl-0_3 libgegl-0_3-0

- Add gegl-move-log_domain.patch: move G_LOG_DOMAIN define to a
Makefile.am as suggested in glib docs. Fixes build with recent
gobject-introspection versions.

==== ghostscript ====
Version update (9.20 -> 9.21)
Subpackages: ghostscript-devel ghostscript-x11

- CVE-2017-8291.patch fixes
a type confusion in .rsdparams and .eqproc
see https://bugs.ghostscript.com/show_bug.cgi?id=697808
and https://bugs.ghostscript.com/show_bug.cgi?id=697799
(bsc#1036453).
- CVE-2016-10317 (bsc#1032230)
heap buffer overflow in fill_threshhold_buffer()
is not yet fixed because there is no fix available at
https://bugs.ghostscript.com/show_bug.cgi?id=697459
- CVE-2016-10219 (bsc#1032138)
divide by zero in intersect()
https://bugs.ghostscript.com/show_bug.cgi?id=697453
is fixed in the version 9.21 upstream sources
- CVE-2016-10218 (bsc#1032135)
null pointer dereference in pdf14_pop_transparency_group()
https://bugs.ghostscript.com/show_bug.cgi?id=697444
is fixed in the version 9.21 upstream sources.
- CVE-2016-10217 (bsc#1032130)
use-after-free in pdf14_cleanup_parent_color_profiles()
that is related to pdf14_open() in base/gdevp14.c
https://bugs.ghostscript.com/show_bug.cgi?id=697456
is fixed in the version 9.21 upstream sources.
- CVE-2016-10220 (bsc#1032120)
null pointer dereference in gx_device_finalize() that is
related to gs_makewordimagedevice() in base/gsdevmem.c
https://bugs.ghostscript.com/show_bug.cgi?id=697450
is fixed in the version 9.21 upstream sources.
- CVE-2017-5951.patch fixes
null pointer dereference in ref_stack_index() that is
related to mem_get_bits_rectangle() in base/gdevmem.c
https://bugs.ghostscript.com/show_bug.cgi?id=697548
(bsc#1032114)
- Version upgrade to 9.21.
For details see the News.htm and History9.htm files.
Highlights in this release include:
* pdfwrite now preserves annotations from
input PDFs (where possible).
* The GhostXPS interpreter now provides the pdfwrite device
with the data it requires to emit a ToUnicode CMap: thus
allowing fully searchable PDFs to be created from XPS
input (in the vast majority of cases).
* Ghostscript now allows the default color space
for PDF transparency blends.
* The Ghostscript/GhostPDL configure script now has much
better/fuller support for cross compiling.
* The tiffscaled and tiffscaled4 devices can now
use ETS (Even Tone Screening)
* The toolbin/pdf_info.ps utility can now emit
the PDF XML metadata.
* Ghostscript has a new scan converter available
(currently optional, but will become the default in a near
future release). It can be enabled by using the command line
option: '-dSCANCONVERTERTYPE=2'. This new implementation
provides vastly improved performance with large and complex
paths.
* The usual round of bug fixes, compatibility changes,
and incremental improvements.
Incompatible changes:
* The planned device API tidy (still!) did not happen for
this release, due to time pressures, but we still intend
to undertake the following: We plan to somewhat tidy up
the device API. We intend to remove deprecated device
procs (methods/function pointers) and change the device API
so every device proc takes a graphics state parameter
(rather than the current scheme where only a very few procs
take an imager state parameter). This should serve as notice
to anyone maintaining a Ghostscript device outside the
canonical source tree that you may (probably will) need to
update your device(s) when these changes happen. Devices using
only the non-deprecated procs should be trivial to update.
- CVE-2016-7976.patch and CVE-2016-7977.patch and
CVE-2016-7978.patch and CVE-2016-7979.patch and
CVE-2016-8602.patch are no longer needed because
those issues are fixed in the upstream sources.
- 0001-mkromfs-make-build-reproducible-use-buildtime-from-S.patch
and
0002-mkromfs-sort-gp_enumerate_files-output-for-determini.patch
are no longer needed because both are included
in the upstream sources, see the upstream issue
https://bugs.ghostscript.com/show_bug.cgi?id=697484
- Again use the zlib sources from Ghostscript upstream
and disable remove-zlib-h-dependency.patch because
Ghostscript 9.21 does no longer build this way,
cf. the entry below dated "Wed Nov 18 11:46:58 UTC 2015"

==== gjs ====
Version update (1.48.0 -> 1.48.1)
Subpackages: libgjs0 typelib-1_0-GjsPrivate-1_0

- Update to version 1.48.1:
+ gjs crashed with SIGSEGV in gjs_object_from_g_object
(bgo#779918).
+ Misc bug fixes.

==== glib2 ====
Version update (2.52.0 -> 2.52.1)
Subpackages: glib2-devel glib2-tools libgio-2_0-0 libgio-2_0-0-32bit
libglib-2_0-0 libglib-2_0-0-32bit libgmodule-2_0-0 libgmodule-2_0-0-32bit
libgobject-2_0-0 libgobject-2_0-0-32bit libgthread-2_0-0 libgthread-2_0-0-32bit

- Update to version 2.52.1:
+ Bugs fixed: bgo#674885, bgo#698064, bgo#725894, bgo#734946,
bgo#755046, bgo#775879, bgo#777961, bgo#778049, bgo#778207,
bgo#778287, bgo#779409, bgo#780066, bgo#780095, bgo#780306,
bgo#780310, bgo#780384, bgo#780441, bgo#780471, bgo#780924.
+ Updated translations.

==== gnome-chess ====
Version update (3.24.0 -> 3.24.1)

- Update to version 3.24.1:
+ Fix build error with new GLib.
+ Updated translations.

==== gnome-control-center ====
Version update (3.24.0 -> 3.24.1)
Subpackages: gnome-control-center-color gnome-control-center-goa
gnome-control-center-user-faces

- Update to version 3.24.1:
+ Fix check for existing shortcut settings.
+ Fix possible crash when exiting Printers panel.
+ Fix blurry icons in night light dialogue.
- Add gnome-control-center-more-power-button-actions.patch:
Bring back the "shutdown" and "interactive" power key actions in
"Power" panel (bsc#993381).

==== gnome-desktop ====
Version update (3.24.0 -> 3.24.1)
Subpackages: gnome-version libgnome-desktop-3-12 libgnome-desktop-3_0-common
typelib-1_0-GnomeDesktop-3_0

- Update to version 3.24.1:
+ Updated translations.

==== gnome-documents ====
Version update (3.24.0 -> 3.24.1)
Subpackages: gnome-documents_books-common gnome-shell-search-provider-documents

- Update to version 3.24.1:
+ Use LOKDocView for pre-OOXML MS Office formats.
+ Unbreak opening in external application.
+ Fix regression that prevented comics from being previewed.
+ Make sure that load jobs are cancelled.
+ Fix double menus in fullscreened evince view.
+ Support fullscreening the e-pub view.
+ Don't leak the URI when thumbnailing.
+ Updated translations.

==== gnome-logs ====
Version update (3.24.0 -> 3.24.1)

- Update to version 3.24.1:
+ Updated translations.

==== gnome-maps ====
Version update (3.24.0 -> 3.24.1)

- Update to version 3.24.1:
+ Fix rendering of compacted route labels for transit routing.
+ Don't show the ?Next? button when selecting POI types when
editing OpenStreetMap objects.
+ Use HTTPS Wikipedia links.
+ Updated translations.

==== gnome-music ====
Version update (3.24.0 -> 3.24.1.1)

- Update to version 3.24.1.1:
+ Add Flatpak manifest (bgo#779905).
+ Fix crashers.
+ Up Grilo requirements.
+ bgo#780523: playlist dialog shows the playlist that is going to
be deleted.
+ Updated translations.

==== gnome-photos ====
Version update (3.24.0 -> 3.24.1)
Subpackages: gnome-shell-search-provider-gnome-photos

- Update to version 3.24.1:
+ Changing the aspect ratio of the crop can make the selection
larger than the image (bgo#765136).
+ Updated translations.

==== gnome-session ====
Version update (3.24.0 -> 3.24.1)
Subpackages: gnome-session-core gnome-session-default-session

- Update to version 3.24.1:
+ Autogoo degooing.
+ Race condition fix with startup and owning the dbus name.

==== gnome-settings-daemon ====
Version update (3.24.0 -> 3.24.1)

- Update to version 3.24.1:
+ Fix Calculator media key.
+ Fix sunrise calcs for fractional timezone offsets.
+ Fix possible division by zero in clipboard handling.
- Update gnome-settings-daemon-sle-configure-timeout-blank.patch:
Fix mouse cursor on black screen (bsc#1029637).

==== gnome-shell ====
Version update (3.24.0 -> 3.24.1)
Subpackages: gnome-shell-browser-plugin gnome-shell-calendar

- Add gnome-shell-login-fix-session-button-can-be-clicked.patch:
Disable session selection button when it's hidden in user switch
dialog (bsc#1034827, bgo#781482).
- rebase gnome-shell-gdm-login-applet.patch.
- Update to version 3.24.1:
+ Close Wifi selection dialog on lock (bgo#780054).
+ Fix DND over window previews in overview (bgo#737166).
+ Do not lock the screen when disabled by lockdown settings
(bgo#780212).
+ Follow GNOME Weather's location permissions (bgo#780252).
+ Fix portals that require a new window to be loaded
(bgo#759044).
+ Fix restricting menus to screen height on HiDPI displays
(bgo#753305).
+ Misc. bug fixes and cleanups: bgo#780063, bgo#780321,
bgo#780381, bgo#780453, bgo#758873, bgo#780606, bgo#642652.
+ Updated translations.

==== gnome-software ====
Version update (3.24.0 -> 3.24.1)

- Update to version 3.24.1:
+ Fall back to a stock icon for hardware drivers.
+ Fix a crash when removing an addon.
+ Respect the user/system preference when installing flatpakref
files.
+ Make offline update triggering work when online updates are
available.
+ Never include the size of the runtime in the installed size.
+ Use the developer name if set in preference to the project
group.
+ Never show a remote snapd error in the authentication dialog.
+ Only auto-add snap provenance when running on Ubuntu.
+ Updated translations.

==== gnome-terminal ====
Version update (3.24.0 -> 3.24.1)
Subpackages: gnome-shell-search-provider-gnome-terminal
nautilus-extension-terminal

- Update to version 3.24.1:
+ Updated translations.

==== gnome-user-docs ====
Version update (3.22.0 -> 3.24.0)

- Update to version 3.24.0:
+ Updates to GNOME Help.
+ Updates to System Admin Guide.
+ Updated translations.

==== gobject-introspection ====
Version update (1.52.0 -> 1.52.1)
Subpackages: girepository-1_0 libgirepository-1_0-1

- Update to version 1.52.1:
+ gir: Update annotations from GLib 2.52.1.
+ tests: Add marshalling tests for GValue-valued properties.
+ gimarshallingtests: Add a flags and enum property.
+ g-ir-scanner: fix wrong order of -L options in libtool
invocation.
+ giscanner: Use shlex.split() for environment variables.

==== graphite2 ====
Subpackages: graphite2-devel libgraphite2-3 libgraphite2-3-32bit

- security update:
* CVE-2017-5436 [bsc#1035204]
+ graphite2-CVE-2017-5436.patch

==== gtk4 ====
Version update (3.89.5 -> 3.90.0)
Subpackages: gtk4-branding-upstream gtk4-data gtk4-immodule-amharic
gtk4-immodule-inuktitut gtk4-immodule-thai gtk4-immodule-vietnamese gtk4-lang
gtk4-schema gtk4-tools libgtk-4-0 typelib-1_0-Gtk-4_0

- Update to version 3.90.0:
+ Allow a custom renderer for the inspector, by setting
GTK_INSPECTOR_RENDERER.
+ Move more container functionality, such as focus handling, to
GtkWidget.
+ Bugs fixed: bgo#686838, bgo#778853, bgo#779081, bgo#780019,
bgo#780234, bgo#734946, bgo#773228, bgo#774148, bgo#780735.
+ Updated translations.

==== gtksourceview ====
Version update (3.24.0 -> 3.24.1)
Subpackages: libgtksourceview-3_0-1 typelib-1_0-GtkSource-3_0

- Update to version 3.24.1:
+ Deprecate the 'copy' parameter of the GtkSourceView::move-lines
signal.
+ Force visual word movements for RTL text with Ctrl+left/right.
+ Misc bug fixes.
+ Updated translations.

==== gzip ====

- define %{_buildshell} to /bin/bash as we newly rely on bash
features like {1..9}

==== hddtemp ====

- Unconditionally call fillup_only also on systemd setups: the
sysconfig file is also valid for the systemd service
(boo#1034379).

==== html2text ====

- Implement update-alternatives to avoid conflict with
python3-html2text.

==== hxtools ====
Version update (20170114 -> 20170430)
Subpackages: fd0ssh ofl

- Update to new upstream release 20170430
* build: make build result time-invariant
* sysinfo: avoid printing garbage display sizes

==== kactivities-stats ====
Version update (5.32.0 -> 5.33.0)

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Fix build with Qt 5.9
* Added presets to the testing application
* Added F5 to reload the data in the test application
* Properly moving items to the desired position
* Syncing reordering to other model instances
* If the order is not defined, sort the entries by the id
* Using KSharedConfig instead of the normal one
* Upgrade KF5 version to 5.33.0.

==== kactivities5 ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kactivities5-devel kactivities5-imports libKF5Activities5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kactivitymanagerd ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== karchive ====
Version update (5.32.0 -> 5.33.0)
Subpackages: karchive-devel libKF5Archive5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kauth ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kauth-devel libKF5Auth5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Update docs to Frameworks API
* Backend for Mac.
* Add support for killing a KAuth::ExecuteJob
* Upgrade KF5 version to 5.33.0.

==== kbookmarks ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kbookmarks-devel libKF5Bookmarks5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kcm_sddm ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== kcmutils ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kcmutils-devel libKF5KCMUtils5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* [KCModuleProxy] Remove dead code
* Upgrade KF5 version to 5.33.0.

==== kcodecs ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kcodecs-devel libKF5Codecs5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kcompletion ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kcompletion-devel libKF5Completion5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kconfig ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kconf_update5 kconfig-devel libKF5ConfigCore5 libKF5ConfigGui5

- Add fix-locateLocal.patch to fix saving changes to submenus in
kmenuedit (kde#345100)
- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* explicitly set NO_CMAKE_FIND_ROOT_PATH
* Remove unused QDateTime in KConfigBackend.
* Now that kconfigbackend.h isn't installed anymore, rename it to _p.h for
clarity.
* Upgrade KF5 version to 5.33.0.
* Sanitize shortcut list on read/write from kdeglobals
* avoid useless reallocs by removing squeeze call on temporary buffer

==== kconfigwidgets ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kconfigwidgets-devel libKF5ConfigWidgets5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kcoreaddons ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kcoreaddons-devel libKF5CoreAddons5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* explicitly set NO_CMAKE_FIND_ROOT_PATH
* Upgrade KF5 version to 5.33.0.
* Mac OS (X) has a POSIX-compliant /bin/sh too

==== kcrash ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kcrash-devel libKF5Crash5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* debug when disabling kcrash due to env vars
* Upgrade KF5 version to 5.33.0.

==== kdbusaddons ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kdbusaddons-devel kdbusaddons-tools libKF5DBusAddons5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* KDBusService: Add accessor for the dbus service name we registered.
* Upgrade KF5 version to 5.33.0.

==== kde-cli-tools5 ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* Fix query for available modules

==== kde-gtk-config5 ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== kde-user-manager ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== kdeclarative ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kdeclarative-components kdeclarative-devel libKF5CalendarEvents5
libKF5Declarative5 libKF5QuickAddons5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.
* With Qt >= 5.8 use the new API to set scene graph backend
* Don't set acceptHoverEvents in DragArea as we don't use them

==== kded ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kded-devel

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kdelibs4support ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kdelibs4support-devel libKF5KDELibs4Support5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kdesignerplugin ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kdesignerplugin-devel kdesignerplugin-lang

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kdesu ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kdesu-devel libKF5Su5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kdewebkit ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kdewebkit-devel libKF5WebKit5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kdnssd-framework ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kdnssd-framework-devel libKF5DNSSD5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kdoctools ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kdoctools-devel libKF5DocTools5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.
* meinproc5: link to the files, not to the library

==== kemoticons ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kemoticons-devel libKF5Emoticons5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kernel-firmware ====
Version update (20170404 -> 20170422)
Subpackages: ucode-amd

- Update to version 20170422:
* linux-firmware: liquidio: update firmware to v1.5.1
* linux-firmware: update Marvell SD8887 firmware image
* linux-firmware: update Marvell SD8897-B0 firmware image
* rtl_bt: Update firmware for BT part of rtl8822be

==== kernel-source ====
Version update (4.10.12 -> 4.10.13)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms

- Linux 4.10.13 (bnc#1012628).
- commit e5d11ce
- platform/x86: dell-laptop: Add keyboard backlight timeout AC
settings (bsc#1013561).
- commit 7aedba7
- macsec: avoid heap overflow in skb_to_sgvec (CVE-2017-7477
bsc#1035823).
- commit 461b1f0
- Disable CONFIG_POWER_SUPPLY_DEBUG in debug kernels (bsc#1031500).
- commit 11b3f7c

==== kfilemetadata5 ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kfilemetadata5-devel

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Make PlainTextExtractor match "text/plain" again
* Upgrade KF5 version to 5.33.0.
- Remove patches, now upstream:
* Make-PlainTextExtractor-match-text-plain-again.patch

==== kgamma5 ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== kglobalaccel ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kglobalaccel-devel kglobalaccel5 libKF5GlobalAccel5
libKF5GlobalAccelPrivate5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kguiaddons ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kguiaddons-devel libKF5GuiAddons5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== khotkeys5 ====
Version update (5.9.4 -> 5.9.5)
Subpackages: khotkeys5-devel

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== khtml ====
Version update (5.32.0 -> 5.33.0)
Subpackages: khtml-devel libKF5KHtml5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Error page, correctly load the image (with a real URL)
* Upgrade KF5 version to 5.33.0.

==== ki18n ====
Version update (5.32.0 -> 5.33.0)
Subpackages: ki18n-devel libKF5I18n5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* don't add the autotests dir when test building is disabled
* add .arcconfig file
* Upgrade KF5 version to 5.33.0.

==== kiconthemes ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kiconthemes-devel libKF5IconThemes5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kidletime ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kidletime-devel libKF5IdleTime5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kimageformats ====
Version update (5.32.0 -> 5.33.0)

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.

==== kinfocenter5 ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== kinit ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kinit-devel

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kio ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kio-core kio-devel

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* make remote file:// URL redirect to smb:// work again
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* keep query encoding when HTTP Proxy is used
* Fix minor typos
* User messages cleanup (and de-emphasize Konqueror)
* Updated user agents (Firefox 52 ESR, Chromium 57)
* Added plugin actions
* Simple patch
* autotest: comment why the SSE-disabling thing doesn't work (QTBUG-47566)
* Handle/truncate url display string assigned to job description. Prevents
large data: urls from being included in UI notifications.
* Restore Cancel button shortcut
* Upgrade KF5 version to 5.33.0.
* Add KFileWidget::setSelectedUrl()
* Fix KUrlRequester save mode by adding setAcceptMode REVIEW: 129986
* With this change it is now possible to list multiple paths as defined via
the command line.

==== kitemmodels ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kitemmodels-devel libKF5ItemModels5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Fix build with Qt branch 5.9
* Include file to integrate with phabricator
* Mention the new QSFPM::setRecursiveFiltering(true) which makes
KRecursiveFilterProxyModel obsolete.
* KDescendantsProxyModel: fix typo in apidox
* Upgrade KF5 version to 5.33.0.

==== kitemviews ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kitemviews-devel libKF5ItemViews5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kjobwidgets ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kjobwidgets-devel libKF5JobWidgets5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* don't replace existing icon if QIcon::fromTheme() fails
* Upgrade KF5 version to 5.33.0.

==== kjs ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kjs-devel kjs-devel-lang libKF5JS5 libKF5JSApi5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kjsembed ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kjsembed-devel libKF5JsEmbed5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kmediaplayer ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kmediaplayer-devel libKF5MediaPlayer5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kmenuedit5 ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== knewstuff ====
Version update (5.32.0 -> 5.33.0)
Subpackages: knewstuff-core-devel knewstuff-devel libKF5NewStuff5
libKF5NewStuffCore5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== knotifications ====
Version update (5.32.0 -> 5.33.0)
Subpackages: knotifications-devel libKF5Notifications5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Do not remove queued notifications when the fd.o service starts. Also start
the service unconditionally when it's not loaded and activatable.
* Mac platform adaptations
* Upgrade KF5 version to 5.33.0.

==== knotifyconfig ====
Version update (5.32.0 -> 5.33.0)
Subpackages: knotifyconfig-devel libKF5NotifyConfig5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kpackage ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kpackage-devel

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* build autotests as regular executables
* Upgrade KF5 version to 5.33.0.
- Add patch to allow appdata installation even with warnings:
* 0001-Ignore-warnings-during-appdata-generation.patch

==== kparts ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kparts-devel libKF5Parts5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Add .arcconfig
* API dox: fix missing note to call setXMLFile with KParts::MainWindow
* Upgrade KF5 version to 5.33.0.

==== kpeople5 ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kpeople5-devel

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kplotting ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kplotting-devel libKF5Plotting5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kpty ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kpty-devel libKF5Pty5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== krb5 ====
Subpackages: krb5-32bit krb5-client krb5-devel

- Remove wrong PreRequires from krb5

==== krita ====
Version update (3.1.2.1 -> 3.1.3)
Subpackages: krita-lang

- Update to version 3.1.3:
* New features:
+ implement context menu actions for default tool (cut, copy, paste, object
ordering)
+ added option to allow multiple instances of krita (BUG 377199)
+ scale around pivot point added
* Too many bugfixes to list here, see:
https://krita.org/en/release-notes-for-3-1-3/
- Add _constraints: Needs at least 4 GiB RAM

==== kross ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kross-devel

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== krunner ====
Version update (5.32.0 -> 5.33.0)
Subpackages: krunner-devel libKF5Runner5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kscreen5 ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* Support fractional scailng in KScreen Scaling preview
* Set xrdb XFT.DPI value as integer

==== kscreenlocker ====
Version update (5.9.4 -> 5.9.5)
Subpackages: libKScreenLocker5

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== kservice ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kservice-devel

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Fix 'Not found: ""' terminal messages
* Upgrade KF5 version to 5.33.0.
* [autotest] Fix the workaround for inotify-on-overlay-fs so it actually works
* [autotest] test s-m-i requirement
* [autotests] add tests for the KService constructors

==== ksshaskpass5 ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== ksysguard5 ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== ktexteditor ====
Version update (5.32.0 -> 5.33.0)
Subpackages: ktexteditor-devel

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* fix debug warning (and wrong pen value) found by kfunk, introduced my me
* Expose additional internal View's functionality to the public API
* Upgrade KF5 version to 5.33.0.
* save a lot of allocation for setPen
* Fix ConfigInterface of KTextEditor::Document
* Add unit test for KTextEditor::ConfigInterface
* Added font and on-the-fly-spellcheck options in ConfigInterface

==== ktextwidgets ====
Version update (5.32.0 -> 5.33.0)
Subpackages: ktextwidgets-devel libKF5TextWidgets5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kunitconversion ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kunitconversion-devel libKF5UnitConversion5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kwallet ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kwallet-devel kwallet-tools kwalletd5 libKF5Wallet5
libkwalletbackend5-5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kwayland ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kwayland-devel

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Add support for wl_shell_surface::set_popup and popup_done
* Upgrade KF5 version to 5.33.0.
- Drop fix-wayland-1.3-dependency.diff which isn't needed anymore
since SLE12 SP2.

==== kwidgetsaddons ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kwidgetsaddons-devel libKF5WidgetsAddons5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* support building against a qt without a11y enabled
* Fix wrong size hint when animatedShow is called with hidden parent
* Fix characters in KCharSelectTable getting elided
* Enable all planes in kcharselect test dialog
* Upgrade KF5 version to 5.33.0.

==== kwin5 ====
Version update (5.9.4 -> 5.9.5)
Subpackages: kwin5-devel

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* Sort the themes in decoration KCM
* Fix KWin decoration KCM showing correct index at startup
* [platforms/drm] Explicitly request event context version 2
* Fix crash on dragging titlebar buttons in System Settings (kde#374153)
* [kcm_kwindecoration] Respect theme colors in buttons
* [platforms/drm] Explicitly request event context version 2
* [kcmkwin/compositing] Do not write GLPlatformInterface config (kde#378114)
* [slidingpopups] Only remove WindowClosedGrabRole if the effect owns the
grab (kde#376609)
* Fix crash on dragging titlebar buttons in System Settings (kde#374153)
* [Aurorae AppMenuButton] Show if client has app menu
* [Plastik Decoration] Show application menu button if client has one
* [Aurorae DecorationButton] Hook up app menu button (kde#375862)
* [kcm_kwindecoration] Respect theme colors in buttons
* [kcm_kwindecoration] Respect theme colors in buttons

==== kwindowsystem ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kwindowsystem-devel libKF5WindowSystem5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== kxmlgui ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kxmlgui-devel libKF5XmlGui5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Fix outdated usages of NULL in API dox/comments
* Upgrade KF5 version to 5.33.0.

==== kxmlrpcclient5 ====
Version update (5.32.0 -> 5.33.0)
Subpackages: kxmlrpcclient5-devel libKF5XmlRpcClient5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== libKF5ModemManagerQt ====
Version update (5.32.0 -> 5.33.0)
Subpackages: libKF5ModemManagerQt-devel libKF5ModemManagerQt6

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== libKF5NetworkManagerQt ====
Version update (5.32.0 -> 5.33.0)
Subpackages: libKF5NetworkManagerQt-devel libKF5NetworkManagerQt6

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* WiredSetting: return autonegotiate even when it's disabled
* Prevent signals in glib2 be defined by Qt
* prevent signals in glib2 be defined by Qt
* WiredSetting: Speed and duplex can be set only when auto-negotiation is off
* Auto-negotiate value for wired setting should be false
* Upgrade KF5 version to 5.33.0.

==== libappindicator ====
Version update (12.10.1+bzr20141110 -> 12.10.1+bzr20170215)
Subpackages: libappindicator3-1 typelib-1_0-AppIndicator3-0_1

- Rename %soname to %sover to better reflect its purpose.
- Update summaries.
- Remove redundant pkgconfig() reqiures; these are already
autodiscovered.
- Update to version 12.10.1+bzr20170215 (changes since
12.10.1+bzr20141110):
* Handle watcher service appearing and disappearing.
* Make test-simple-app really working.
* Fix icon and theme paths when running in $SNAP environment
(lp#1600136).
* Do not emit label changes when guide is still empty.
* Do not append the snap prefix if the icon is saved in a well
known readable path.
- Add libappindicator-activate-support.patch: Open menu on the
left-click action (lp#1403449).
- Rename python-appindicator to python2-appindicator.

==== libcroco ====
Version update (0.6.11 -> 0.6.12)

- Update to version 0.6.12:
+ Add support for Visual Studio 2017.
+ Misc bug fixes.

==== libkdecoration2 ====
Version update (5.9.4 -> 5.9.5)
Subpackages: libkdecoration2-devel libkdecorations2-5 libkdecorations2private5

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== libkscreen2 ====
Version update (5.9.4 -> 5.9.5)
Subpackages: libKF5Screen7 libkscreen2-devel libkscreen2-plugin

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== libksysguard5 ====
Version update (5.9.4 -> 5.9.5)
Subpackages: libksysguard5-devel libksysguard5-helper

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* don't reset the view to the top on gaining focus (kde#363420)

==== libosip2 ====
Version update (4.1.0 -> 5.0.0)
Subpackages: libosip2-devel

- drop patch already in 5.0.0
0001-Patch-2.1-Fixes-heap-buffer-overflow-in-osip_body_to_s.patch
- drop patch already in 5.0.0
0001-Patch-1-Fixes-heap-buffer-overflow-in-_osip_message_to_str.patch
- drop patch already in 5.0.0
0001-Patch-3-Fixes-heap-buffer-overflow-in-osip_clrncpy.patch
- fix a set of buffer overflows:
- add patch for (bnc#1034570, CVE-2017-7853)
SIP_body_len_underflow.patch
- add patch for (bnc#1034571, CVE-2016-10326)
0001-Patch-2.1-Fixes-heap-buffer-overflow-in-osip_body_to_s.patch
- add patch for (bnc#1034572, CVE-2016-10325)
0001-Patch-1-Fixes-heap-buffer-overflow-in-_osip_message_to_str.patch
- add patch for (bnc#1034574, CVE-2016-10324)
0001-Patch-3-Fixes-heap-buffer-overflow-in-osip_clrncpy.patch
- Update to 5.0.0:
* STRUCTURE change: additionnal parameter for "struct osip_srv_entry" used
for failover in eXosip2.
* fix overflow: sr #109133: Heap buffer overflow in utility function
*osip_clrncpy*
* fix overflow: sr #109132: Heap buffer overflow in *osip_body_to_str*
* fix overflow: sr #109131: Heap buffer overflow in `_osip_message_to_str`
* simplify usage of timercmp/timerisset/timerclear
* optimize list search: use iterator
* improve/update autotools (./configure and options, Makefile.am,
ax_thread.m4...)
* verify a URI scheme only contains allowed char
* improve make check (test unit) to make it clear about the results expected.
* fix a possible buffer overflow of 1 byte in sdp_message_to_str (size=sdp
allocated size)
* fix cseq check in order to stop retransmission of 200ok
* update to reject negative value in port number
* add support for ntlm authentication in parser
* include application_data when cloning sip message
* fix to allow correct parsing of quoted string in from/to/contact/...
* add authorizations and proxy_authorizations into ACK for 3xx, 4xx, 5xx, and
6xx (if answer was not 401/407)
* additionnal check for cseq number for matching incoming ack restransmission
* patch to transmit ack for OSIP_ICT_ACK_SENT event
* improve management of body length // fix a bug when initial value of body
is \0.
* increase timer E as soon as we receive 1xx for NICT.
* update all reasons according to RFC.
* add some reason code from rfc4412, rfc3261 and rfc6086.
* parse addr spec with LAQUOT and RAQUOT in generic parameters.
* avoid issue with comma in userinfo of URI which may appear for several
headers such as Contact.
* do not use multiple header method for t, f, i, r, refer-to, b, referred-by
headers.
* allow faster connection with non blocking reliable sockets.
* improve android time compensation.
- rename libosip2-4.1.0.patch to libosip2-5.0.0.patch
- drop libosip2-4.1.0-pthread.patch, obsolete

==== libpqxx ====
Version update (4.0.1 -> 5.0.1)

- Select better RPM groups
- update to 5.0.1
* See NEWS or https://github.com/jtv/libpqxx/blob/5.0.1/NEWS
for details
- rebased libpqxx-sed-4.3.patch
- split doc subpackage

==== libreoffice ====
Version update (5.3.2.1 -> 5.3.2.2)
Subpackages: libreoffice-base libreoffice-base-drivers-mysql
libreoffice-branding-upstream libreoffice-calc libreoffice-calc-extensions
libreoffice-draw libreoffice-filters-optional libreoffice-gnome
libreoffice-gtk3 libreoffice-icon-theme-breeze libreoffice-icon-theme-galaxy
libreoffice-icon-theme-hicontrast libreoffice-icon-theme-oxygen
libreoffice-icon-theme-sifr libreoffice-icon-theme-tango libreoffice-impress
libreoffice-kde4 libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de
libreoffice-l10n-el libreoffice-l10n-en libreoffice-l10n-es libreoffice-l10n-fr
libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-ja libreoffice-l10n-pl
libreoffice-l10n-pt_BR libreoffice-l10n-ru libreoffice-l10n-zh_CN
libreoffice-l10n-zh_TW libreoffice-mailmerge libreoffice-math libreoffice-pyuno
libreoffice-writer libreoffice-writer-extensions libreofficekit

- Provide and obsolete the help packages wrt bsc#1035087
- Fixed bnc#959926 LO-L3: Text not rotated properly in LO Impress tables
* bnc959926-Implement-text-rotation-for-Impress-table.patch
- Version update to 5.3.2.2:
* bsc#1034329 CVE-2017-7882
* RC2 for the 5.3.2 release

==== libreoffice-share-linker ====

- Add compat symlink wrt bsc#1035087 to avoid some failures
* Full fix needs to go to libreoffice package.

==== libva ====
Version update (1.8.0 -> 1.8.1)
Subpackages: libva-drm1 libva-x11-1 libva1 vaapi-dummy-driver

- fix changes file
* add missing changes for 1.8.1
* fix Version string
- Version 1.8.1 - 10.Apr.2017
* Bump libva to 1.8.1
- add sha1sum file

==== libva-gl ====
Version update (1.8.0 -> 1.8.1)
Subpackages: libva-egl1 libva-glx1

- fix changes file
* add missing changes for 1.8.1
* fix Version string
- Version 1.8.1 - 10.Apr.2017
* Bump libva to 1.8.1
- add sha1sum file

==== milou5 ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* Fix build with Qt 5.9

==== mutter ====
Version update (3.24.0 -> 3.24.1)
Subpackages: libmutter-0-0 mutter-data

- Update to version 3.24.1:
+ Always sync window geometry on state changes (bgo#780292).
+ Use EGL instead of GLX when drawing using GLES (bgo#771636).
+ Fix HiDPI detection on vertical monitor layouts (bgo#777687).
+ Get double-click timing from desktop mouse settings
(bgo#771576).
+ Scale relative motion deltas with monitor scale (bgo#778119).
+ Use texture fallback when setting hardware cursor fails
(bgo#770020).
+ Fix lock-up when using additional theme variants (bgo#780254).
+ Updated translations.

==== nghttp2 ====
Version update (1.20.0 -> 1.21.1)

- Update to version 1.21.1:
* asio: Fix crash if connect takes longer time than ping interval (GH-866)
* nghttpx: Fix bug that 204 from h1 backend is always treated as error
(GH-871)
- Changes for version 1.21.0:
* lib: Fix nghttp2_session_want_write (GH-832)
* doc: Document pkg-config path usage
* build: Eliminate U macro; Instead use (void)VAR for better compiler
compatibility.
* src: BoringSSL supports SSL_CTX_set_{min,max}_proto_version. (Patch from
Piotr Sikora) (GH-853)
* src: Use Mozilla's "Modern compatibility" ciphers by default
* src: nghttp2_gzip: fix this statement may fall through
[-Werror=implicit-fallthrough=] found by gcc7 (Patch from Alexis La Goutte)
(GH-823)
* nghttpx: Print version number with -v option
* nghttpx: Enable X25519 with boringssl
* nghttpx: Retry getaddrinfo without AI_ADDRCONFIG (GH-858)
* nghttpx: Failing to listen on server socket is fatal error
* nghttpx: Escape certain characters in access log (GH-856)
* nghttpx: Ignore further input if connection is going to close
* nghttpx: Don't call functions which are not async-signal-safe after fork
but before execv in multithreaded process.
* nghttpx: Enable backend pattern matching with http2-proxy (GH-733)
* asio: client: Send PING after 30 seconds idle (GH-847)

==== oxygen5 ====
Version update (5.9.4 -> 5.9.5)
Subpackages: oxygen5-cursors oxygen5-decoration oxygen5-devel oxygen5-lang
oxygen5-sounds oxygen5-style

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== oxygen5-icon-theme ====
Version update (5.32.0 -> 5.33.0)
Subpackages: oxygen5-icon-theme-large

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* new icons for kmail gpg
* Upgrade KF5 version to 5.33.0.

==== pango ====
Version update (1.40.4 -> 1.40.5)
Subpackages: libpango-1_0-0 libpango-1_0-0-32bit pango-devel
typelib-1_0-Pango-1_0

- Update to version 1.40.5:
+ Add missing introspection annotations (bgo#778663).
+ Fix line-end handling in pango_read_line (bgo#778816).
+ Make alpha attribute work without color (bgo#773767).
+ win32: Enable rendering colored texti and underlines
(bgo#768779).

==== perl-Bootloader ====
Version update (0.917 -> 0.918)

- merge gh#openSUSE/perl-bootloader#112
- implemented trusted boot/TPM support in UEFI mode (bsc#1036735,
fate#315831)
- 0.918

==== perl-Config-Crontab ====
Version update (1.44 -> 1.45)

- updated to 1.45
see /usr/share/doc/packages/perl-Config-Crontab/Changes
Release 1.45
- ---------------------------
commit eef68c773f42d73b5670a7c894b2f67914c83c95
Author: Scott Wiersdorf <scott@xxxxxxxxxxxx>
Date: Thu Apr 20 10:24:09 2017 -0600
use relative path in require (RT#120863)

==== perl-ExtUtils-PkgConfig ====
Version update (1.150000 -> 1.160000)

- updated to 1.16
see /usr/share/doc/packages/perl-ExtUtils-PkgConfig/Changes
1.16 Thu Apr 20 18:51:36 PDT 2017
- Add exists() method, and update README (RT#77880)
- Handle removal of '.' from @INC for Perl 5.24 (RT#120819)

==== perl-Params-Validate ====
Version update (1.26 -> 1.27)

- updated to 1.27
see /usr/share/doc/packages/perl-Params-Validate/Changes
1.27 2017-04-29
- When more than one required parameters are missing, the list of missing
parameters in the error message is sorted by name. Patch by E. Choroba. GH
[#14].

==== plasma-framework ====
Version update (5.32.0 -> 5.33.0)
Subpackages: plasma-framework-components plasma-framework-devel
plasma-framework-private

- Drop upstreamed patches:
* 0001-Handle-applyPrefixes-with-an-empty-string.patch
- Add patches from upstream:
* keep-implicit-size-if-set.patch - Fixes icon size in desktop toolbox
- Update to 5.33.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* [ModelContextMenu] Silence warnings
* [ModelContextMenu] Use Instantiator instead of Repeater-and-reparent-hack
* [Calendar] Shrink and elide week names like is done with day delegate
* [Icon Item] Make "smooth" property actually do something
* sensible implicit size for svgs
* [Default Tooltip] Fix icon size
* fix stylesheet for fcitx.svgz
* fix typo, iterate all colors available
* Set implicit size from source size for image/SVG URL sources.
* add a new property in containment, for an edit mode
* correct maskRequestedPrefix when no prefix is used
* [Menu] Harmonize openRelative placement
* Add KAcceleratorManager
* Plasma controls based on QtQuickControls2
* Upgrade KF5 version to 5.33.0.
* Handle applyPrefixes with an empty string
* Forward keyPressEvent to super class
* actually delete old theme caches
* [Containment Interface] Trigger context menus on pressing "Menu" key
* [Breeze Plasma Theme] Improve action-overlay icons
* Port away from setRoleNames where easily possible
* Use initialiser list
* Ref/deref DataEngines even if the metadata is invalid
* Implement FadingMaterial frag/vert shaders on core profile
* Split frag and vert code of FadingNode into separate files
* Small cleanups

==== plasma-nm5 ====
Version update (5.9.4 -> 5.9.5)
Subpackages: plasma-nm5-openconnect plasma-nm5-openvpn plasma-nm5-pptp
plasma-nm5-vpnc

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* Missing include
* Set auto-negotiate to true for newly created wired connections (kde#378554)

==== plasma5-addons ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== plasma5-desktop ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* Too many changes to list here
- Add upstreamed patch to fix the apply button on the file content
indexing option (boo#1034800):
* 0001-Fix-new-checkbox-for-file-content-indexing-in-kcm_ba.patch

==== plasma5-integration ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== plasma5-pa ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== plasma5-session ====
Version update (5.9.4 -> 5.9.5)

* Update to 5.9.5

==== plasma5-workspace ====
Version update (5.9.4 -> 5.9.5)
Subpackages: drkonqi5 plasma5-workspace-devel plasma5-workspace-libs

- Add upstream patch revert-autostart-krun.patch:
* Fix Plasma start if a non existent executable was supplied as
autostart script / program
- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* Update the ungrab mouse hack for Qt5.8
* use KProcess instead of QProcess to launch apps in ksmserver
* launch autostart apps in ksmserver using KRun, not QProcess (kde#369391,
kde#370528)
* recognize the WM even if given with a full path
* Don't remove other applets in SystemTray::cleanupTask
* [Media Controller] Enforce PlainText format
* [Media Controller] Enforce PlainText format
* Fix off-by-one.
* [Media Controller] Use double for length instead of int (kde#377623)
* When deleting the panel the notifications applet is in, the containment is
being destroyed but the corona is still there and rightfully emits
availableScreenRectChanged. This will cause us to crash when we try to access
the no-longer existing containment.
* Fix losing wallpaper selection when clicking "Apply".
* Correctly handle when a new primary screen displaces the old
* Fix TasksModel.anyTaskDemandsAttention not updating on window closure.
(kde#378254)
* [Windowed Widgets Runner] Fix mimeDataForMatch
* Connect aboutToHide signal from QMenu to relevant libdbusmenu-qt slot
(kde#375053)
* [Calculator Runner] Use "approximate" approximation mode (kde#277011)
* [OSD] Allow disabling OSD through config file
- No longer generate org.kde.plasma.private.systemtray.appdata.xml manually,
bug fixed in kpackage meanwhile

==== polari ====
Version update (3.24.0 -> 3.24.1)
Subpackages: typelib-1_0-Polari-1_0

- Update to version 3.24.1:
+ Share a spell checker to only load dictionaries once
(bgo#780762).
+ Override paste.gnome.org's default expiry (bgo#780888).
+ Indicate in private conversation when contact disconnects
(bgo#712635).
+ Trim trailing underscores from nick on startup (bgo#781161).
+ Misc. bug fixes: bgo#780113, bgo#781072, bgo#781159.
+ Updated translations.
- Add telepathy-mission-control as runtime requirement (Polari
fails to connect to channels without it).

==== polkit-default-privs ====

- added polkit rules for renamed kcmwallet -> kcmwallet5 (bsc#1033296)
- added polkit rules for tuned (bsc#1007279)

==== polkit-kde-agent-5 ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== postfix ====
Subpackages: postfix-doc

- revert changes of postfix-main.cf.patch from rev=261
* config.postfix will not 'enable' (remove #) var, but place
modified (enabled) var at end of file, far away from place
where it should be
* keep vars enabled but empty

==== powerdevil5 ====
Version update (5.9.4 -> 5.9.5)

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== prison-qt5 ====
Version update (5.32.0 -> 5.33.0)

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== python-Cycler ====

- Fix download URL.
- Fix redefinition of %python_module macro.
- Fix macro usage
- Switch to single-spec version
- update to version 0.10.0:
(no changelog available)
- Update url to pypi.io
- Initial version

==== python-cairocffi ====
Version update (0.7.2 -> 0.8.0)

- Fix download URL.
- Update to version 0.8.0
* Follow semver
* Avoid implicit relative import
* Use utf-8 instead of utf8 in headers
* Keep cairo library loaded until all relevant objects are freed
* Add cairo_quartz_* functions for MacOS
* Use the default ReadTheDocs theme
* Fix implicit casts
- update for multipython build
- update to version 0.7.2:
* Use ctypes.util.find_library with dlopen.
* Fix loading of gdk_pixbuf library on Ubuntu
- update to version 0.7.1:
* Add a possible work-around for #64.
- Depend on cairo instead of cairo-tools
- update to version 0.6:
* #39 Add :class:xcb.XCBSurface.
* #42 Add :class:Win32PrintingSurface.
- add Group field to subpackage python-cairocffi-pixbuf
- Require gdk-pixbuf instead of typelib(GdkPixbuf)
- Split out optional gdk-pixbuf module.
This avoids a lot of gtk dependencies for the main package, and
is the recommended approach by upstream.
- Initial version

==== python-chardet ====

- do not use %py_ver, replace with %python_version
- Converted to single spec.
- Include in SLE 12 (bsc#1002895, FATE#321630)
- specfile:
* added update alternative to prevent conflicts with python3 version
* add tests
- Update to version 2.3.0
* Added support for CP932 detection (thanks to @hashy)
* Fixed an issue where UTF-8 with a BOM would not be detected
as UTF-8-SIG (#8)
* Modified chardetect to use argparse for argument parsing
* Moved docs to a gh-pages branch. You can now access them
at http://chardet.github.io
- Changelog on https://github.com/chardet/chardet/commits/2.3.0
- Other minor changes
- Require python-setuptools instead of distribute (upstreams merged)
- Update to 2.1.1:
- Sorry, no changelog.
- Update to 1.1:
- Sorry, no changelog.
- Standard in spec file;
- Remove CFLAGS and %clean section from spec file.
- the license seems to be LGPL-2.1+
- Regenerate spec file with py2pack;
- Bzip2 source file.
- Initial package (2.0.1) for openSUSE.

==== python-pycurl ====

- update for multipython build
- merge python3 project
- update and apply pycurl-no-runtime-curlvercheck.patch
- run test suite
- single doc package for all pythons
- update to version 7.43.0:
* Highlights of this release:
+ Binary wheels are now built for Windows systems.
+ setopt_string method added to Curl objects to permit setting
string libcurl options that PycURL does not know about.
+ curl module can now be imported on Windows again.
+ OPENSOCKETFUNCTION callback is now invoked with the address as
bytes on Python 3 as was documented.
+ Support for many libcurl options and constants was added.
- specfile:
* update copyright year
* update patch
- update to version 7.21.5:
* Highlights of this release:
+ Socket callbacks are now fully implemented
("CURLOPT_OPENSOCKETFUNCTION", "CURLOPT_SOCKOPTFUNCTION",
"CURLOPT_CLOSESOCKETFUNCTION"). Unfortunately this required
changing "OPENSOCKETFUNCTION" API once again in a
backwards-incompatible manner. Support for "SOCKOPTFUNCTION" and
"CLOSESOCKETFUNCTION" was added in this
release. "OPENSOCKETFUNCTION" now supports Unix sockets.
+ Many other libcurl options and constants have been added to
PycURL.
+ When "pycurl" module initialization fails, "ImportError" is
raised instead of a fatal error terminating the process.
+ Usability of official Windows builds has been greatly improved
- update to version 7.19.5.3:
* python and nosetests binaries can now be overridden when running
the test suite (patch by Kamil Dudka).
* Files needed to run the test suite are distributed in sdist
(patch by Kamil Dudka).
- update to version 7.19.5.2:
* C sources made 64-bit clean on Windows.
* Support for building against Python 3.5 added to winbuild.py.
* Fixed build on Windows when using MS SDK 8.1+ or MSVC 14/2015
(patch by Gisle Vanem).
* Added automatic SSL library detection on CentOS 6 by loading
libcurl shared library in setup.py. This automatic detection is
meant to permit installing pycurl seamlessly via `pip install pycurl`
on CentOS; as such, it is only employed when no other configuration
options or configuration environment variables are given to setup.py
(original patch by Francisco Alves).
* Added --libcurl-dll option to setup.py to take SSL library
information out of libcurl shared library (original patch by
Francisco Alves). This option is only usable
with Python 2.5 or higher.
* --with-ssl, --with-gnutls and --with-nss options to setup.py now
result in PycURL explicitly linking against the respective SSL
library. Previously setup.py relied on curl-config to supply the
needed libraries in this case.
* List and tuples are now accepted in all positions of HTTPPOST
option values.
* Tuples are now accepted for options taking list values (e.g.
HTTPHEADER).
* Fixed a use after free in HTTPPOST when using FORM_BUFFERPTR with
a Unicode string (patch by Clint Clayton).
* Fixed a memory leak in HTTPPOST for multiple FORM_BUFFERPTR
(patch by Clint Clayton).
* CURLMOPT_* option constants were mistakenly defined on Curl
instances but not on CurlMulti instances. These option constants
are now defined on CurlMulti instances and on pycurl module,
but not on Curl instances.
* Fixed several memory leaks when setting string options to
Unicode values failed.
* Fixed a memory leak when using POSTFIELDS with unicode objects
on Python 2 (patch by Clint Clayton).
* Official support for Python 2.4 and 2.5 dropped. PycURL is no
longer tested against these Python versions on Travis.
* Added CURLAUTH_NEGOTIATE (libcurl 7.38.0+), CURLAUTH_NTLM_WB
(libcurl 7.22.0+), CURLAUTH_ONLY (libcurl 7.21.3+),
* Added CURLOPT_SERVICE_NAME (libcurl 7.43.0+).
* Added CURLOPT_PROXY_SERVICE_NAME (libcurl 7.43.0+).
* Added CURLE_SSL_CRL_BADFILE, CURLE_SSL_INVALIDCERTSTATUS
(libcurl 7.41.0+), CURLE_SSL_ISSUER_ERROR and
CURLE_SSL_PINNEDPUBKEYNOTMATCH (libcurl 7.39.0+).
* Added CURLOPT_SSL_VERIFYSTATUS (libcurl 7.41.0+).
* Added CURL_SSLVERSION_TLSv1_0, CURL_SSLVERSION_TLSv1_1
and CURL_SSLVERSION_TLSv1_2 (libcurl 7.34.0+).
* The second argument of DEBUGFUNCTION callback is now of type bytes on
Python 3. When response body contains non-ASCII data and
DEBUGFUNCTION is enabled, this argument would receive non-ASCII data.
Which encoding this data is in is unknown by PycURL, and e.g. in
the case of HTTP requires parsing response headers. GitHub issue
[#210], patch by Barry Warsaw with help from Gregory Petukhov.
* Fixed build on GCC 4.4.5 (patch by Travis Jensen).
* Added CURLOPT_GSSAPI_DELEGATION, CURLGSSAPI_DELEGATION_FLAG,
CURLGSSAPI_DELEGATION_NONE and CURLGSSAPI_DELEGATION_POLICY_FLAG
(libcurl 7.22.0+, patch by Dmitry Ketov).
- Run testsuite during build
- Update to 7.19.5.1:
* Added CURLPROXY_SOCKS4A and CURLPROXY_SOCKS5_HOSTNAME.
* setup.py now prints PycURL-specific option help when -h is used.
* LibreSSL is now supported (patch by JiCiT.)
* Fixed an oversight that broke PycURL building against libcurl 7.19.4
through 7.21.1. The bug was introduced in PycURL 7.19.5.
* Tests are now included in source distributions again, thanks to
Kamil Dudka and Johan Bergstroem.
* Added CURLOPT_MAIL_FROM and CURLOPT_MAIL_RCPT (libcurl 7.20.0+)
and CURLOPT_MAIL_AUTH (libcurl 7.25.0+).
* Tests removed from source and binary distributions.
* Documentation greatly improved. Quickstart guide added.
* pycurl.Curl, pycurl.CurlMulti and pycurl.CurlShare are now classes
rather than factory functions. Previously, the classes were "hidden"
(they were accessible as e.g. type(pycurl.Curl()), but could not be
instantiated, nor could class methods be obtained from the classes.
Please see this mailing list post for further information:
http://curl.haxx.se/mail/curlpython-2014-06/0004.html
* When passing a file-like object to READDATA option, PycURL was
mistakenly looking for write method on this object. Now read method
is looked up, as would be expected.
* Python 3.4 is now officially supported.
* Windows packages now build libcurl against zlib.
* CherryPy is no longer required for the test suite, ssl module from
the Python standard library is used instead.
* Fixed a reference leak of SOCKET and TIMER callbacks on
CurlMulti instances, thanks to Ben Darnell.
* Fixed build against openssl on cygwin, where pycurl needs to link
against libcrypto rather than libssl.
* Added CURLOPT_SSH_KNOWNHOSTS (libcurl 7.19.6+).
* Added CURLE_FTP_ACCEPT_FAILED (libcurl 7.24.0+).
- Removed part of patch that breaks now necessary things:
pycurl-no-runtime-curlvercheck.patch
- Specify ssl type since it is not automatically detected.
- Removed patch specific to python3-pycurl: pycurl-python3.patch
- Rebase patch: pycurl-no-runtime-curlvercheck.patch
- Update to version 7.19.3.1
* Added --avoid-stdio setup.py option to avoid passing FILE
pointers from Python to libcurl. Applies to Python 2 only.
* Added CURLMOPT_CHUNK_LENGTH_PENALTY_SIZE,
CURLMOPT_CONTENT_LENGTH_PENALTY_SIZE, CURLMOPT_MAX_HOST_CONNECTIONS
CURLMOPT_MAX_PIPELINE_LENGTH, CURLMOPT_MAX_TOTAL_CONNECTIONS
multi options (patch by Jakob Truelsen).
* SSL detection logic changed to consult `curl-config --static-libs`
even if `curl-config --libs` succeeded. This should achieve
pre-7.19.3 behavior with respect to automatic SSL detection
(patch by Andjelko Horvat).
- Update to version 7.19.3
* Added CURLOPT_NOPROXY.
* Added CURLINFO_LOCAL_PORT, CURLINFO_PRIMARY_PORT and
CURLINFO_LOCAL_IP (patch by Adam Jacob Muller).
* When running on Python 2.x, for compatibility with Python 3.x,
Unicode strings containing ASCII code points only are now accepted
in setopt() calls.
* PycURL now requires that compile time SSL backend used by libcurl
is the same as the one used at runtime. setup.py supports
- -with-ssl, --with-gnutls and --with-nss options like libcurl does,
to specify which backend libcurl uses. On some systems PycURL can
automatically figure out libcurl's backend.
If the backend is not one for which PycURL provides crypto locks
(i.e., any of the other backends supported by libcurl),
no runtime SSL backend check is performed.
* Default PycURL user agent string is now built at runtime, and will
include the user agent string of libcurl loaded at runtime rather
than the one present at compile time.
* PycURL will now use WSAduplicateSocket rather than dup on Windows
to duplicate sockets obtained from OPENSOCKETFUNCTION.
Using dup may have caused crashes, OPENSOCKETFUNCTION should
now be usable on Windows.
* A new script, winbuild.py, was added to build PycURL on Windows
against Python 2.6, 2.7, 3.2 and 3.3.
* Added CURL_LOCK_DATA_SSL_SESSION (patch by Tom Pierce).
* Added E_OPERATION_TIMEDOUT (patch by Romuald Brunet).
* setup.py now handles --help argument and will print PycURL-specific
configuration options in addition to distutils help.
* Windows build configuration has been redone:
PYCURL_USE_LIBCURL_DLL #define is gone, use --use-libcurl-dll
argument to setup.py to build against a libcurl DLL.
CURL_STATICLIB is now #defined only when --use-libcurl-dll is not
given to setup.py, and PycURL is built against libcurl statically.
- -libcurl-lib-name option can be used to override libcurl import
library name.
* Added CURLAUTH_DIGEST_IE as pycurl.HTTPAUTH_DIGEST_IE.
* Added CURLOPT_POSTREDIR option and CURL_REDIR_POST_301,
CURL_REDIR_POST_302, CURL_REDIR_POST_303 and CURL_REDIR_POST_ALL
constants. CURL_REDIR_POST_303 requires libcurl 7.26.0 or higher,
all others require libcurl 7.19.1 or higher.
* PycURL now supports Python 3.1 through 3.3. Python 3.0 might
work but it appears to ship with broken distutils, making virtualenv
not function on it.
* PycURL multi objects now have the multi constants defined on them.
Previously the constants were only available on pycurl module.
The new behavior matches that of curl and share objects.
* PycURL share objects can now be closed via the close() method.
* PycURL will no longer call `curl-config --static-libs` if
`curl-config --libs` succeeds and returns output.
Systems on which neither `curl-config --libs` nor
`curl-config --static-libs` do the right thing should provide
a `curl-config` wrapper that is sane.
* Added CURLFORM_BUFFER and CURLFORM_BUFFERPTR.
* pycurl.version and user agent string now include both
PycURL version and libcurl version as separate items.
* Added CURLOPT_DNS_SERVERS.
* PycURL can now be dynamically linked against libcurl on Windows
if PYCURL_USE_LIBCURL_DLL is #defined during compilation.
* Breaking change: opensocket callback now takes an additional
(address, port) tuple argument. Existing callbacks will need to
be modified to accept this new argument.
https://github.com/pycurl/pycurl/pull/18
- Update to version 7.19.0.3
* Re-release of 7.19.0.2 with minor changes to build Windows packages
due to botched 7.19.0.2 files on PyPi.
http://curl.haxx.se/mail/curlpython-2013-12/0021.html
- Update to version 7.19.0.2 [requires libcurl-7.19.0 or better] - 2013-10-08
* Fixed a bug in a commit made in 2008 but not released until 7.19.0.1
which caused CURLOPT_POSTFIELDS to not correctly increment reference
count of the object being given as its argument, despite libcurl not
copying the data provided by said object.
* Added support for libcurl pause/unpause functionality,
via curl_easy_pause call and returning READFUNC_PAUSE from
read callback function.
- Update to version 7.19.0.1 [requires libcurl-7.19.0 or better] - 2013-09-23
* Test matrix tool added to test against all supported Python and
libcurl versions.
* Python 2.4 is now the minimum required version.
* Source code, bugs and patches are now kept on GitHub.
* Added CURLINFO_CERTINFO and CURLOPT_CERTINFO.
* Added CURLOPT_RESOLVE.
* PycURL can now be used with Python binaries without thread
support.
* gcrypt is no longer initialized when a newer version of gnutls
is used.
* Marked NSS as supported.
* Fixed relative URL request logic.
* Fixed a memory leak in util_curl_init.
* Added CURLOPT_USERNAME and CURLOPT_PASSWORD.
* Fixed handling of big timeout values.
* Added GLOBAL_ACK_EINTR.
* setopt(..., None) can be used as unsetopt().
* CURLOPT_RANGE can now be unset.
* Write callback can return -1 to signal user abort.
* Reorganized tests into an automated test suite.
* Added CURLOPT_SEEKFUNCTION and CURLOPT_SEEKDATA.
* Cleaned up website.
* Fix pycurl.reset() (patch by <johansen at sun.com>).
* Fix install routine in setup.py where
certain platforms (Solaris, Mac OSX, etc)
would search for a static copy of libcurl (dbp).
* Fixed build on OpenSolaris 0906 and other platforms on which
curl-config does not have a --static-libs option.
* No longer keep string options copies in the
Curl Python objects, since string options are
now managed by libcurl.
- Add additional dependencies
- Remove no longer necessary patch:
* pycurl-7.18.1-nostaticlibs.patch
- remove runtime curl version check and __DATE__ __TIME__ usage
(pycurl-no-runtime-curlvercheck.patch)
- Add Source URL, see https://en.opensuse.org/SourceUrls
- added python3 package
- spec file slighly cleaned (old buildroot macro replaced)
- change license to be in spdx.org format
- Renamed package to 'python-pycurl' to match upstream name
- Removed authors from description
- Update to 7.19.0:
* Added CURLFILE, ADDRESS_SCOPE and ISSUERCERT options,
as well as the APPCONNECT_TIME info.
* Added PRIMARY_IP info (patch by
Yuhui H <eyecat at gmail.com>).
* Added support for curl_easy_reset through a
new 'reset' method on curl objects
(patch by Nick Pilon <npilon at oreilly.com>).
* Added support for OPENSOCKET callbacks.
See 'tests/test_opensocket.py' for example
usage (patch by Thomas Hunger <teh at camvine.com>).
- Version 7.18.2:
* Added REDIRECT_URL info and M_MAXCONNECTS option
(patch by Yuhui H <eyecat at gmail.com>).
* Added socket_action() method to CurlMulti objects.
See 'tests/test_multi_socket_select.py' for example
usage (patch by Yuhui H <eyecat at gmail.com>).
* Added AUTOREFERER option.
* Allow resetting some list operations (HTTPHEADER,
QUOTE, POSTQUOTE, PREQUOTE) by passing an empty
list to setopt (patch by Jim Patterson).
- Split off doc subpackage

==== python-python-dateutil ====
Subpackages: python2-python-dateutil python3-python-dateutil

- Converted to single-spec
- Enabled tests
- Spec cleanup
- Use https for Source

==== python-qt5 ====
Version update (5.8 -> 5.8.2)
Subpackages: python-qt5-utils python2-qt5

- Move requirements for development package to correct place
- Update to 5.8.2
* lib/configure.py:
Fixes for the OpenGL detection needed by the incompatible
configuration changes in Qt v5.8.0.
* qpy/QtCore/qpycore_chimera.cpp:
When parsing a Python type map list and dict to QVariantList and
QVariantMap.
* lib/LICENSE.commercial, lib/LICENSE.commercial.short,
lib/LICENSE.gpl, lib/LICENSE.gpl.short, lib/LICENSE.internal:
Remove the license copies that are now part of rb-tools.
* pyuic/uic/uiparser.py:
Fixed the margins of the top layout in a tab by pyuic.
* pyuic/uic/driver.py, pyuic/uic/exceptions.py,
pyuic/uic/properties.py, pyuic/uic/pyuic.py:
Improved the error handling of an unknown C++ class.
* sphinx/qml.rst:
Added explicit warnings about PyQt's ability to support QML to the
docs.
* PyQt5.msp:
Added a comment about why opengl_types.sip is included twice.
* PyQt5.msp:
Only enable QOpenGLTextureBlitter if OpenGL is supported.
* PyQt5.msp:
Avoid a deadlock when using asynchronous image providers in QML.
- Update to 5.8.1
* qpy/QtCore/qpycore_chimera.cpp:
Special case a QVariant containing std::nullptr_t.
* METADATA.in:
Updated the Requires-Dist meta-data so it includes the values from
the release file.
* lib/configure.py:
Disable desktop OpenGL if OpenGLES v3 or v3.1 is detected.
* qpy/QtQml/qpyqml_register_type.cpp:
Fixed the handling of properties in Qml because of changes to the
internals in Qt v5.8.0.
* PyQt5.msp:
Fixed QLocale.toString() for Python v2.
* PyQt5.msp:
Anticipate that Qt v5.9.0 will be released before Qt v5.8.1 to avoid
problems building PyQt v5.9 against Qt v5.8.1.
* qpy/QtPrintSupport/qpyprintsupport_qlist.sip:
The QtPrintSupport mapped types are only included if printers are
supported.
* sphinx/pyqt_qvariant.rst:
Updated the docs regarding support for QVariant.
* qpy/QtQml/qpyqmlobject.cpp:
Fixed signals in QML registered types that are defined in a Python
sub-class of the registered type.

==== python-urllib3 ====
Version update (1.19.1 -> 1.20)

- merge python3 modifications
- update for multipython build
- update to 1.20:
* Added support for waiting for I/O using selectors other than select,
improving urllib3?s behaviour with large numbers of concurrent connections.
(Pull #1001)
* Updated the date for the system clock check. (Issue #1005)
* ConnectionPools now correctly consider hostnames to be case-insensitive.
(Issue #1032)
* Outdated versions of PyOpenSSL now cause the PyOpenSSL contrib module to
fail when it is injected, rather than at first use. (Pull #1063)
* Outdated versions of cryptography now cause the PyOpenSSL contrib module to
fail when it is injected, rather than at first use. (Issue #1044)
* Automatically attempt to rewind a file-like body object when a request is
retried or redirected. (Pull #1039)
* Fix some bugs that occur when modules incautiously patch the queue module.
(Pull #1061)
* Prevent retries from occuring on read timeouts for which the request method
was not in the method whitelist. (Issue #1059)
* Changed the PyOpenSSL contrib module to lazily load idna to avoid
unnecessarily bloating the memory of programs that don?t need it. (Pull #1076)
* Add support for IPv6 literals with zone identifiers. (Pull #1013)
* Added support for socks5h:// and socks4a:// schemes when working with SOCKS
proxies, and controlled remote DNS appropriately. (Issue #1035)
update to version 1.19.1
* Forgot to mention #955.
* Starting o the user guide.
* Add ipaddress marker to setup.cfg.
* CHANGES for #897
* Version added 1.17
* Change debug level to 'debug' to match ConnectionPool
* Moving some stuff to advanced usage.
* Ignore only the unused import error
* Uniform checks.
* Add test for past date in Retry-After header
* Adding all reference docs
* Ok, I just gotta see what's going on here.
* Adding app engine docs
* Keep using the good OpenSSL
* Adding timeout section
* Removing absolute import in NTLMPool
* Use the good OpenSSL.
* Small pass at contributing
* parse_url: Disallow non-integer digits explicitly in port numbers
* Fixup some whitespace.
* Updating copy on landing page.
* Fix flake8 E305 errors
* Use OS default certs when possible
* Fleshing out user guide.
* Fallback to the vendored ipaddress module.
* Updating intersphinx to python 3.4
* Seems like version mismatch is the issue.
* Improve the cipher suite comment
* Retry backoff time is calculated only from the last consecutive errors
sequence
* Fix a typo in the user guide documentation
* Update docs guide with new dependencies
* Tests for #979
* Remove HIGH cipher suites as well.
* Adding SSL verification section to user guide.
* More CHANGES
* Changes for #1017
* Changelog for #1009.
* Vendor a backport of the ipaddress module.
* CHANGES for 1.19
* Fixed typos
* Revert "Fallback to the vendored ipaddress module."
* Use "with" to close more files eagerly and also on error
* Addressing review comments
* First stab at the new index page
* Removing unneeded scratch file.
* Fixing some references
* Moving some stuff around.
* CR fixes
* Remove 100% requirement from nosetests.
* Try using codecov
* Remove absolute import.
* Split ciphers up to individual lines.
* add warning when timeout without total is used on App Engine
* We don't want a sad @haikuginger
* RequestHistory is a namedtuple instance.
* I wonder if we're missing this.
* Switching to alabaster theme
* Prefer user-supplied host headers.
* Try shoving it in tox.ini
* Add include=urllib3/* to prevent core module coverage through six.moves
* Pointing flake8 specifically at the urllib3 package
* CHANGES for #955
* Sorry PyPy.
* Add support for ChaCha20.
* Make Travis CI fail if docs have warnings or errors
* Added CHANGES entry
* Test with OpenSSL 1.1 on Mac.
* Backport Python 3.5 match_hostname function.
* Wrap lines to under 99 chars
* Moving docs creation into tox
* Gotta use the pyenv everywhere.
* Explicitly check if a value in a multipart header is None instead of just a
falsy value
* Move to a more complex bit of idna handling.
* Make codecov enforce 100% coverage.
* Error if GAE_PYTHONPATH is not set when running make test-gae
* Changes for #258.
* adding length_remaining functionality to HTTPResponse
* test TLSv1 instead of SSLv3
* fixing infinite loop when stream(None) called
* Adding proxy section
* Don't forget setup.cfg
* Removing TODO
* add changelog for #978
* Stop testing our parsing via TLS failure.
* CHANGES for #928
* Add support for OS X.
* While I'm shotgun debugging.
* Merging new release version: 1.19.1
* Clean up some bugs.
* Support date in Retry-After header
* Defer to URLFetch's default timeout instead of hard coding 5s.
* Update Travis PyPy testing to 5.4
* Remove 3DES support.
* Seems like Python 2.6 doesn't like -m pip
* Adding logging and exceptions.
* changing conditional order to prefer isclosed over closed
* Have the 'secure' flag install ipaddress.
* Respect Retry-After header for redirection
* Respect Retry-After header
* Correct the import of urljoin for Python 3
* use dunder slots for Url class slots variable
* Update README.rst to better reflect new documentation.
* Allow PyPy 5.3 to fail
* updating CHANGES and CONTRIBUTORS
* Clarifying a few things.
* Revert "Remove ipaddress marker."
* Fix GAE_PYTHONPATH error in Makefile
* Removing symlinks from dummyserver certs to fix test suite on Windows
* adding in exception for booleans and zero values in timeouts
* CHANGES for #930
* add domain and method aware logging to connectionpool (#897)
* Add release note about #941 (#943)
* Make HTTPResponse.stream() work with file-like body of non-HTTPResponse
type (eg StringIO)
* Use HTTPException, LifoQueue, Empty, and Full from six
* CHANGES for #858 and #887
* Updating links to SSL warning help page. Fixes #918
* More alabaster customizations, starting on TOC
* CHANGES for #835
* It's possible but unlikely that we need combine
* We actually require cryptography-based PyOpenSSL now.
* PySocks 1.5.7 causes problems with IPv6.
* fixing socks and ssl docstrings.
* Fix doc syntax in user-guide.rst
* Urllib3 -> urllib3
* Removing uneeded files.
* Dear tox: plz propagate env vars. Thanks.
* Favour our own match_hostname over old versions.
* Bow before our fruit overlords.
* enforce_content_length for incrementally read responses
* fixing incorrect message for IncompleteRead
* Update setup.cfg
* Changelog for #986.
* Spelling fixes
* Line breaks.
* Adding docs/requirements.txt for readthedocs.
* CHANGES for #989.
* Normalize the scheme and host in the URL parser
* Update changes for 1.17
* Changes for #979
* Changelog update for #947.
* Update connectionpool.py
* Make BodyNotHttplibCompatible inherit from HttpError, urllib3's base
exception class, only
* Update changes for 1.18
* Update PyOpenSSL to not use ndg-httpsclient or pyasn1
* Retry history changed from list to tuple
* Add a cert with IP SAN and test for it.
* parse_retry_after: Disallow non-integer digits, allow whitespace
* Add failing test for #1009.
* Remove markers from setup.py.
* Use Travis supplied PyPy 5.3
* Support retry for 413, 429 and 503 status code
* Remove ipaddress marker.
* Revert "Vendor a backport of the ipaddress module."
* Adding retry section
* CVE-2016-9015: Correct set verify flags.
* Update CHANGES.rst for #911
* Tests for case-insensitivity in the scheme and host
* Add changelog for #967.
* Try updating setuptools.
* Updating flake8 locations
* Forward-port 1.18.1 changelog.
* Update [secure] extra.
* Add more advanced usage docs
* CHANGES for #990
* [contrib/pyopenssl] remove unused ssl_wrap_socket
* Import more from six
- update to 1.16:
* Disable IPv6 DNS when IPv6 connections are not possible. (Issue #840)
* Provide ``key_fn_by_scheme`` pool keying mechanism that can be
overridden. (Issue #830)
* Normalize scheme and host to lowercase for pool keys, and include
``source_address``. (Issue #830)
* Cleaner exception chain in Python 3 for ``_make_request``.
(Issue #861)
* Fixed installing ``urllib3[socks]`` extra. (Issue #864)
* Fixed signature of ``ConnectionPool.close`` so it can actually safely be
called by subclasses. (Issue #873)
* Retain ``release_conn`` state across retries. (Issues #651, #866)
* Add customizable ``HTTPConnectionPool.ResponseCls``, which defaults to
``HTTPResponse`` but can be replaced with a subclass. (Issue #879)
- Use pypi.io as Source url
- update to 1.15.1:
* Fix packaging to include backports module. (Issue #841)
* Added Retry(raise_on_status=False). (Issue #720)
* Always use setuptools, no more distutils fallback. (Issue #785)
* Dropped support for Python 3.2. (Issue #786)
* Chunked transfer encoding when requesting with ``chunked=True``.
* Fixed regression with IPv6 port parsing. (Issue #801)
* Append SNIMissingWarning messages to allow users to specify it in
the PYTHONWARNINGS environment variable. (Issue #816)
* Handle unicode headers in Py2. (Issue #818)
* Log certificate when there is a hostname mismatch. (Issue #820)
* Preserve order of request/response headers. (Issue #821)
- change Requires on pyopenssl, pyasn1 into Recommends,
add ndg-httpsclient as well
(these are dependencies of urrlib3's pyopenssl module, which can be
used if native python's ssl capabilities are not good enough)
- Update 1.14 source tar.gz from the source
* Rebase urllib3-test-no-coverage.patch
- Update to Version 1.14 (2015-12-29)
* contrib: SOCKS proxy support! (Issue #762)
* Fixed AppEngine handling of transfer-encoding header and bug in
Timeout defaults checking. (Issue #763)
- Update to Version 1.13.1 (2015-12-18)
* Fixed regression in IPv6 + SSL for match_hostname. (Issue #761)
- Update to Version 1.13 (2015-12-14)
* Fixed pip install urllib3[secure] on modern pip. (Issue #706)
* pyopenssl: Fixed SSL3_WRITE_PENDING error. (Issue #717)
* pyopenssl: Support for TLSv1.1 and TLSv1.2. (Issue #696)
* Close connections more defensively on exception. (Issue #734)
* Adjusted read_chunked to handle gzipped, chunk-encoded bodies
without repeatedly flushing the decoder, to function better on
Jython. (Issue #743)
* Accept ca_cert_dir for SSL-related PoolManager configuration.
(Issue #758)
- removed ready-event.patch: applied upstream
- disabled more dysfunctional tests
- restored ability to build with openSUSE <= 13.2
- removed python-certifi dependency, we don't want to use it
- drop 0001-Don-t-pin-dependency-to-exact-version.patch because it's
not needed anymore
- re-enable tests, re-add relevant dependencies
* don't exclude test_util.py
* exclude proxy timeout tests that fail for spurious reasons
- urllib3-ssl-default-context.patch - use set_default_verify_paths()
if no certificate path specified and verification not explicitly
disabled
- urllib3-test-ssl-drop-sslv3.patch - don't use "SSLv3" constants
in python 2.7.9 and up
- ready-event.patch - fix race conditions in timeout tests
- drop %pre section because apparently "egg-info as file" is no longer
true and this breaks builds
- Delete the system egg-info during pre phase: older versions of
the package installed it as a directory, the latest update
creates a file, and rpm has known issues with replacing this.
- add python-pyOpenSSL, python-certifi and python-pyasn1 requirements
- Comment out test requirements, as tests are disabled anyway, and
one of these packages depend on python-requests, which depends on
this package resulting in a circular dependency for openSUSE <= 13.1
- Update to version 1.12
* Rely on six for importing httplib to work around conflicts with
other Python 3 shims. (Issue #688)
* Add support for directories of certificate authorities, as
supported by OpenSSL. (Issue #701)
* New exception: NewConnectionError, raised when we fail to
establish a new connection, usually ECONNREFUSED socket error.
- Fix version dependencies
- Add new build requirements following upstream changes
* python-nose-exclude
* python-tox
* python-twine
* python-wheel
- Update 0001-Don-t-pin-dependency-to-exact-version.patch
- Disable tests for now, as there require network
- Remove upstreamed 0001-Don-t-install-dummyserver-into-site-packages.patch
- Rebase 0001-Don-t-pin-dependency-to-exact-version.patch and
urllib3-test-no-coverage.patch
- Update to version 1.9 (2014-07-04)
* Shuffled around development-related files.
If you're maintaining a distro package of urllib3, you may need
to tweak things. (Issue #415)
* Unverified HTTPS requests will trigger a warning on the first
request. See our new security documentation for details.
(Issue #426)
* New retry logic and urllib3.util.retry.Retry configuration
object. (Issue #326)
* All raised exceptions should now wrapped in a
urllib3.exceptions.HTTPException-extending exception.
(Issue #326)
* All errors during a retry-enabled request should be wrapped in
urllib3.exceptions.MaxRetryError, including timeout-related
exceptions which were previously exempt. Underlying error is
accessible from the .reason propery. (Issue #326)
* urllib3.exceptions.ConnectionError renamed to
urllib3.exceptions.ProtocolError. (Issue #326)
* Errors during response read (such as IncompleteRead) are now
wrapped in urllib3.exceptions.ProtocolError. (Issue #418)
* Requesting an empty host will raise
urllib3.exceptions.LocationValueError. (Issue #417)
* Catch read timeouts over SSL connections as
urllib3.exceptions.ReadTimeoutError. (Issue #419)
* Apply socket arguments before connecting. (Issue #427)
- Update to version 1.8.3 (2014-06-23)
* Fix TLS verification when using a proxy in Python 3.4.1.
(Issue #385)
* Add disable_cache option to urllib3.util.make_headers.
(Issue #393)
* Wrap socket.timeout exception with
urllib3.exceptions.ReadTimeoutError. (Issue #399)
* Fixed proxy-related bug where connections were being reused
incorrectly. (Issues #366, #369)
* Added socket_options keyword parameter which allows to define
setsockopt configuration of new sockets. (Issue #397)
* Removed HTTPConnection.tcp_nodelay in favor of
HTTPConnection.default_socket_options. (Issue #397)
* Fixed TypeError bug in Python 2.6.4. (Issue #411)
- Update to version 1.8.2 (2014-04-17)
* Fix urllib3.util not being included in the package.
- Update to version 1.8.1 (2014-04-17)
* Fix AppEngine bug of HTTPS requests going out as HTTP.
(Issue #356)
* Don't install dummyserver into site-packages as it's only
needed for the test suite. (Issue #362)
* Added support for specifying source_address. (Issue #352)
- Update to version 1.8:
* Improved url parsing in urllib3.util.parse_url (properly parse '@' in
username, and blank ports like 'hostname:').
* New urllib3.connection module which contains all the HTTPConnection
objects.
* Several urllib3.util.Timeout-related fixes. Also changed constructor
signature to a more sensible order. [Backwards incompatible]
(Issues #252, #262, #263)
* Use backports.ssl_match_hostname if it's installed. (Issue #274)
* Added .tell() method to urllib3.response.HTTPResponse which
returns the number of bytes read so far. (Issue #277)
* Support for platforms without threading. (Issue #289)
* Expand default-port comparison in HTTPConnectionPool.is_same_host
to allow a pool with no specified port to be considered equal to to an
HTTP/HTTPS url with port 80/443 explicitly provided. (Issue #305)
* Improved default SSL/TLS settings to avoid vulnerabilities.
(Issue #309)
* Fixed urllib3.poolmanager.ProxyManager not retrying on connect errors.
(Issue #310)
* Disable Nagle's Algorithm on the socket for non-proxies. A subset of
requests
will send the entire HTTP request ~200 milliseconds faster; however, some of
the resulting TCP packets will be smaller. (Issue #254)
* Increased maximum number of SubjectAltNames in urllib3.contrib.pyopenssl
from the default 64 to 1024 in a single certificate. (Issue #318)
* Headers are now passed and stored as a custom
urllib3.collections_.HTTPHeaderDict object rather than a plain dict.
(Issue #329, #333)
* Headers no longer lose their case on Python 3. (Issue #236)
* urllib3.contrib.pyopenssl now uses the operating system's default CA
certificates on inject. (Issue #332)
* Requests with retries=False will immediately raise any exceptions without
wrapping them in MaxRetryError. (Issue #348)
* Fixed open socket leak with SSL-related failures. (Issue #344, #348)
- Run testsuite (without coverage)
+ urllib3-test-no-coverage.patch
- Fix superfluous dependencies and allow later version
+ 0001-Don-t-pin-dependency-to-exact-version.patch
- Drop dummyserver module, this really is documentation
+ 0001-Don-t-install-dummyserver-into-site-packages.patch
- Update to version 1.7.1
+ Added granular timeout support with new urllib3.util.Timeout class.
(Issue #231)
+ Fixed Python 3.4 support. (Issue #238)
- Changes from 1.7
+ More exceptions are now pickle-able, with tests. (Issue #174)
+ Fixed redirecting with relative URLs in Location header. (Issue #178)
+ Support for relative urls in Location: ... header. (Issue #179)
+ urllib3.response.HTTPResponse now inherits from io.IOBase for bonus
file-like functionality. (Issue #187)
+ Passing assert_hostname=False when creating a HTTPSConnectionPool will
skip hostname verification for SSL connections. (Issue #194)
+ New method urllib3.response.HTTPResponse.stream(...) which acts as a
generator wrapped around .read(...). (Issue #198)
+ IPv6 url parsing enforces brackets around the hostname. (Issue #199)
+ Fixed thread race condition in
urllib3.poolmanager.PoolManager.connection_from_host(...) (Issue #204)
+ ProxyManager requests now include non-default port in Host: ...
header. (Issue #217)
+ Added HTTPS proxy support in ProxyManager. (Issue #170 #139)
+ New RequestField object can be passed to the fields=... param which
can specify headers. (Issue #220)
+ Raise urllib3.exceptions.ProxyError when connecting to proxy fails.
(Issue #221)
+ Use international headers when posting file names. (Issue #119)
+ Improved IPv6 support. (Issue #203)
- Add documentation from tarball
- Initial package (1.6) for openSUSE.

==== quilt ====

- Change the rpm group. Quilt is a development tool, not a text
file editor.
- We don't need procmail to build quilt.
- patch-wrapper-rpm.diff: Add a decription and upstream reference.
- mail-fix-patch-set-threading.patch: mail: Fix patch set threading
(regression in version 0.64, savannah bug #50775.)

==== rubygem-cfa ====
Version update (0.6.0 -> 0.6.1)

- fix writting two elements in collection containing nested tree
(also caused by fix for bsc#1023204)
- 0.6.1

==== sddm ====
Subpackages: sddm-branding-openSUSE

- BuildRequire python3-docutils directly

==== shim-leap ====

- Update shim to 0.9-15.3.1
+ shim-install: add option --suse-enable-tpm (fate#315831)
(Fix from mchang@xxxxxxxx)

==== simple-scan ====
Version update (3.22.0.1 -> 3.24.0)

- Update to version 3.24.0:
+ No changes, version bump only.
- Update to version 3.23.90:
+ Updated translations.
- Update to version 3.23.3:
+ Updated translations.
- Changes from version 3.23.2:
+ Add optional tags in PDF output to be more PDF/A compliant.
+ Don't use GtkHeaderBar in Cinnamon.

==== solid ====
Version update (5.32.0 -> 5.33.0)
Subpackages: libKF5Solid5 solid-devel solid-imports solid-tools

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Minor: Fix API doc
* Upgrade KF5 version to 5.33.0.

==== sonnet ====
Version update (5.32.0 -> 5.33.0)
Subpackages: libKF5SonnetCore5 libKF5SonnetUi5 sonnet-devel

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== splix ====

- call gzip -n to make build fully reproducible
- Remove redundant %clean section, replace %__-type macro
indirections, and use %_smp_mflags over %jobs.

==== sunpinyin ====
Subpackages: libsunpinyin3 sunpinyin-data

- Add reproducible.patch to make build fully reproducible

==== syntax-highlighting ====
Version update (5.32.0 -> 5.33.0)
Subpackages: libKF5SyntaxHighlighting5

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* TOML: Fix highlighting of string escape sequences
* Update Clojure syntax highlighting
* few updates to OCaml syntax
* Hightlight *.sbt files as scala code
* Also use the QML highlighter for .qmltypes files
* Add unit test for Apache configuration highlighting
* Upgrade KF5 version to 5.33.0.

==== systemsettings5 ====
Version update (5.9.4 -> 5.9.5)
Subpackages: systemsettings5-devel

- Update to 5.9.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
* None

==== threadweaver ====
Version update (5.32.0 -> 5.33.0)
Subpackages: libKF5ThreadWeaver5 threadweaver-devel

- Update to 5.33.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
* Upgrade ECM and KF5 version requirements for 5.33.0 release.
* Upgrade KF5 version to 5.33.0.

==== tv-fonts ====

- Add reproducible.patch to call gzip -n to make build fully reproducible

==== update-desktop-files ====

- Replace brp-trim-desktopfiles with brp-trim-translations:
* Supports various kinds of source files, not only desktop files
* Generates various tar archives instead of monolithic .desktopfiles file
- Currently trims desktop file translations only, as polkit/mime/appstream
do not support gettext translations yet

==== upower ====
Subpackages: libupower-glib3 typelib-1_0-UpowerGlib-1_0

- Own udev directories on SLE, as SLE12 filesystem package
doesn't own them. Require udev-devel in order to set _udevdir.

==== vaapi-intel-driver ====
Version update (1.8.0 -> 1.8.1)

- fix changes file
* fix Version string
- sync tarball and sha1sum with upstream
* sha1sum was also sourcefile
* source file had wrong checksum
- Version 1.8.1 - 10.Apr.2017
* Add support for VAConfigAttribEncMaxSlices
* Disable AVC multi-slice encoding on SKL+
* Disable AVC ROI encoding on SKL+
* Disable bitrate control per temporal layer on SKL+
* Disable MVC encoding on SKL+
- add sha1sum file

==== virt-manager ====
Subpackages: virt-install virt-manager-common

- bsc#1027942 - virt-manager: Missing upstream bug fixes
f5d709d9-lang-it-1.patch
c66098f3-lang-it-2.patch
452a693e-lang-update.patch
6b5106ea-lang-it-ko-fix.patch
9c8ffe51-fix-multiple-warnings-1.patch
cb182f7e-skip-authentication-only-for-VNC-with-listen-type-none.patch
0610cd6a-ensure-bool-value-used-for-set_sensitive-call.patch
f341352c-remove-redundant-error-string.patch
ff3b4dc5-dont-overwrite-install-bootorder.patch
2099a194-reset-guest-domain-to-none-on-domain-creation-error.patch
7aee124d-fix-multiple-warnings-2.patch
- Check for SLE15 and Leap 15 bsc#1035779
virtman-default-guest-from-host-os.patch
- Fix CaaSP detection (bsc#1010060)
Allow installation of "SUSE Container as a Service Platform".
virtinst-add-caasp-support.patch
- Dropped virtinst-add-casp-support.patch

==== vm-install ====
Version update (0.8.63 -> 0.8.65)

- bsc#1035779 - - vm-install: Add support for openSUSE15 and SLE15
- Version 0.8.65
- bsc#1033845 - fix parsing the os-release file
- Version 0.8.64

==== vte ====
Version update (0.48.1 -> 0.48.2)
Subpackages: libvte-2_91-0 typelib-1_0-Vte-2.91

- Update to version 0.48.2:
+ spawn: async:
- Release reference to VteTerminal.
- Check for nullptr before unreffing.
+ emulation: Swallow OSC 8.

==== webkit2gtk3 ====
Version update (2.16.0 -> 2.16.1)
Subpackages: libjavascriptcoregtk-4_0-18 libwebkit2gtk-4_0-37
typelib-1_0-JavaScriptCore-4_0 typelib-1_0-WebKit2-4_0
webkit2gtk-4_0-injected-bundles

- Update to version 2.16.1:
+ Fix no-third-party cookies policy in case of redirections.
+ Keep URL fragments after server redirections.
+ Honor GTK+ font settings.
+ Ensure depth and stencil renderbuffers are created on GLESv2.
+ Prevent new navigations from onbeforeunload handler and
document unload.
+ Disallow beforeunload alerts from web pages users have never
interacted with.
+ Fix several crashes and rendering issues.

==== wxWidgets-3_0 ====
Subpackages: libwx_baseu-suse3 libwx_baseu_net-suse3 libwx_baseu_xml-suse3
libwx_gtk2u_adv-suse3 libwx_gtk2u_aui-suse3 libwx_gtk2u_core-suse3
libwx_gtk2u_gl-suse3 libwx_gtk2u_html-suse3 libwx_gtk2u_media-suse3
libwx_gtk2u_propgrid-suse3 libwx_gtk2u_qa-suse3 libwx_gtk2u_richtext-suse3
libwx_gtk2u_stc-suse3 libwx_gtk2u_webview-suse3 libwx_gtk2u_xrc-suse3

- Bump __GXX_ABI_VERSION to 1011 for gcc7
- Add 0001-Fix-spurious-assert-in-wxGTK-wxDataViewCtrl-EditItem.patch
to resolve crash [boo#1034350]

==== xf86-video-nouveau ====
Version update (1.0.14 -> 1.0.15)

- Update to version 1.0.15:
* fix null pointer deref when building against >=libdrm 2.4.78
* Add Pascal family support, identical to Maxwell
* Do not register hotplug without RandR

==== xfce4-notifyd ====
Version update (0.2.4 -> 0.3.6)
Subpackages: xfce4-notifyd-lang

- Fix the license to GPL-2.0 as xfce-notify-daemon.c is v2 only.
- update to version 0.3.6:
- Bugs fixed:
* Fix memory leaks in log viewer (bxo#13400)
* Fix a couple of memory leaks in notifyd-config (bxo#13386)
* Update log toolbar buttons sensitivity (bxo#13365)
- Updated translations
- update to version 0.3.5:
This is a feature release.
- Features:
* Notification log ("persistence" according to fd.o spec)
* Rework settings dialog and include more options
- Bugs fixed:
* Fix height of settings dialog when plugged
* Fix compilation on 3.14
- Updated translations
- update to version 0.3.4
- port to GTK3 and gdbus
- new "do not disturb" feature
- various bugfixes and improvements; see NEWS file
- do not package ChangeLog -- NEWS file is enough

==== xfce4-panel-plugin-diskperf ====
Version update (2.5.5 -> 2.6.1)
Subpackages: xfce4-panel-plugin-diskperf-lang

- update to version 2.6.1 (2017-02-25)
* stop always showing activity (bxo#12942)
* fix sizing issues and GtkCssProvider lifecycle
* fix linux for devices with major > 255 (bxo#13281)
- update to version 2.6.0
- port to gtk+3/libxfce4ui-2/libxfce4panel-2.0

==== xinetd ====
Version update (2.3.15 -> 2.3.15.1+git20170421.98c06ca)

- Update to version 2.3.15.1+git20170421.98c06ca:
* Call us 2.3.15.1 as per COPYING
* Fix typo in dirname for xinetd config files in etc
* Remove unused libwrap define and remove pedantic from cflags
- Update to version 2.3.15+git20170421.8a895f9:
* Drop the include of misc.h that was removed
* Never enable howl it is completely deprecated/dead
* Kill mdns/howl combo as the protocol is deprecated; not present even on
debian stable
* Update CHANGELOG a bit
* Do not include malloc.h but rather stdlib.h
* Make osx failures fatal and run make distcheck only on linux.
* Both are just int, no need for unsigned
* timep is used only when not using POLL
* Fix copy&pasto in POLL code
* Howl was removed
- Drop patches now merged in git:
* xinetd-2.3.14-strict-aliasing-fix.diff
* xinetd-2.3.14-nodeadlock-revisited.patch
* xinetd-CVE-2013-4342.patch
* xinetd-2.3.14-server_args-fix.diff
* xinetd-2.3.14-man.dif
* xinetd-2.3.14-ident-bind.patch
* xinetd-2.3.14-nodeadlock.diff
* xinetd-2.3.14-ipv6-ipv4-fallback.patch
* xinetd-2.3.14-file-limit.patch
* xinetd-2.3.14-honour_disable.patch
* xinetd-2.3.14-pie.patch
* xinetd-config.patch
* xinetd-deactivating-error.patch
* xinetd-2.3.14-retry-binds.patch
* xinetd-2.3.14-restore-nofile-limits.patch

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups